﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B (1 yr) DCV Meas VER IEEE /9500
INSTRUMENT:            Sub TDS6000B (1 yr) DC Gain VER IEEE /9500
INSTRUMENT:            Sub TDS6000B (1 yr) Offset VER IEEE /9500
INSTRUMENT:            Sub TDS6000B (1 yr) Delay Match VER IEEE /9500
INSTRUMENT:            Sub TDS6000B (1 yr) Delta Time VER IEEE /9500
INSTRUMENT:            Sub TDS6000B (1 yr) Trig Sensitivity VER IEEE /9500
DATE:                  2009-10-08 15:42:54
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       50
NUMBER OF LINES:       1263
CONFIGURATION:         Datron 9500 (C5,G3,B)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDSxxx Channel Selection
#        Sub TDS6000B/C Check for Trigger IEEE
#        Sub TDS6000B/C Cursor Walker IEEE
#        Sub TDS6000B/C (1 yr) Crosstalk VER IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            F        V

  1.002  JMPL         DC_VOLTAGE_MEASUREMENT       PSUBI("DCV Meas")
  1.003  JMPL         DC_GAIN                      PSUBI("DC Gain")
  1.004  JMPL         OFFSET                       PSUBI("Offset")
  1.005  JMPL         DELAY_MATCH_BETWEEN_CHANS    PSUBI("Delay Match")
  1.006  JMPL         DELTA_TIME                   PSUBI("Delta Time")
  1.007  JMPL         TRIGGER_SENSITIVITY          PSUBI("Trig Sensitivity")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) DCV Meas VER IEEE /9500 ======================

  2.001  LABEL        DC_VOLTAGE_MEASUREMENT
  2.002  HEAD         DC VOLTAGE MEASUREMENT
  2.003  RSLT         =
  2.004  HEAD         -2 {Channel [V @Chan]}
  2.005  TARGET
  2.006  IEEE2        *RST;HEADER OFF
  2.007  CALL         Sub TDSxxx Channel Selection
  2.008  IEEE2        SELECT:CH1 [V @Ch1]
  2.009  IEEE2        SELECT:CH2 [V @Ch2]
  2.010  IEEE2        SELECT:CH3 [V @Ch3]
  2.011  IEEE2        SELECT:CH4 [V @Ch4]
  2.012  IEEE2        TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.013  IEEE2        MEASU:IMMED:TYPE MEAN;SOURCE CH[V @Chan]
  2.014  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER SEQUENCE

  2.015  RSLT         =
  2.016  HEAD         -2 Channel [V @Chan]:{ 50 mV/div}
  2.017  TARGET       -p
  2.018  IEEE2        CH[V @Chan]:POSITION -5;OFFS +0.5;VOLTS 50E-3
  2.019  9500         900.00mV                                          S  L
  2.020  WAIT         [D1000]
  2.021  TARGET       -m
  2.022  IEEE2        ACQUIRE:STATE RUN
  2.023  IEEE         MEASU:IMM:VAL?[I]
  2.024  MATH         MEM = MEM / 1E-3
  2.025  MEMCX  50    900.0mV        21.7U

  3.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -0.5
  3.002  9500         -900.00mV                                         S  L
  3.003  WAIT         [D1000]
  3.004  TARGET       -m
  3.005  IEEE2        ACQUIRE:STATE RUN
  3.006  IEEE         MEASU:IMM:VAL?[I]
  3.007  MATH         MEM = MEM / 1E-3
  3.008  MEMCX  50    -900.0mV       21.7U

  4.001  RSLT         =
  4.002  HEAD         -2 Channel [V @Chan]:{ 100 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:POSITION -5;OFFS +4.8;VOLTS 100E-3
  4.005  9500         5.000V                                            S  L
  4.006  WAIT         [D1000]
  4.007  TARGET       -m
  4.008  IEEE2        ACQUIRE:STATE RUN
  4.009  IEEE         MEASU:IMM:VAL?[I]
  4.010  MEMCX  0.1   5.000V         0.086U

  5.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -4.8
  5.002  9500         -5.000V                                           S  L
  5.003  WAIT         [D1000]
  5.004  TARGET       -m
  5.005  IEEE2        ACQUIRE:STATE RUN
  5.006  IEEE         MEASU:IMM:VAL?[I]
  5.007  MEMCX  0.1   -5.000V        0.086U

  6.001  RSLT         =
  6.002  HEAD         -2 Channel [V @Chan]:{ 1 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:POSITION -5;OFFS +2.5;VOLTS 1
  6.005  9500         4.500V                                            S  L
  6.006  WAIT         [D1000]
  6.007  TARGET       -m
  6.008  IEEE2        ACQUIRE:STATE RUN
  6.009  IEEE         MEASU:IMM:VAL?[I]
  6.010  MEMCX  1     4.500V         0.375U

  7.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -2.5
  7.002  9500         -4.500V                                           S  L
  7.003  WAIT         [D1000]
  7.004  TARGET       -m
  7.005  IEEE2        ACQUIRE:STATE RUN
  7.006  IEEE         MEASU:IMM:VAL?[I]
  7.007  MEMCX  1     -4.500V        0.375U

  8.001  9500         *                                                 S
  8.002  HEAD         -2
  8.003  HEAD
  8.004  END

  8.005  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) DC Gain VER IEEE /9500 =======================

  9.001  LABEL        DC_GAIN
  9.002  HEAD         DC GAIN
  9.003  RSLT         =
  9.004  HEAD         -2 {Channel [V @Chan]}
  9.005  MATH         DevName = "Datron 9500"
  9.006  TARGET
  9.007  IEEE2        *RST;HEADER OFF
  9.008  CALL         Sub TDSxxx Channel Selection
  9.009  IEEE2        SELECT:CH1 [V @Ch1]
  9.010  IEEE2        SELECT:CH2 [V @Ch2]
  9.011  IEEE2        SELECT:CH3 [V @Ch3]
  9.012  IEEE2        SELECT:CH4 [V @Ch4]
  9.013  IEEE2        TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  9.014  IEEE2        MEASU:IMMED:TYPE MEAN;SOURCE CH[V @Chan]
  9.015  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER SEQUENCE

  9.016  RSLT         =
  9.017  HEAD         -2 Channel [V @Chan]:{ 10 mV/div}
  9.018  TARGET       -p
  9.019  TSET         TDESC = 0 div., 0.0 V Offset
  9.020  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 10E-3
  9.021  TARGET       -m
  9.022  9500         38.0mV                                            S  L
  9.023  MATH         SystemActual = MEM1
  9.024  WAIT         [D1000]
  9.025  IEEE2        ACQUIRE:STATE RUN
  9.026  IEEE         MEASU:IMM:VAL?[I]
  9.027  MATH         L[1] = MEM; L[11] = REFACC()
  9.028  9500         -38.0mV                                           S  L
  9.029  MATH         SystemActual = SystemActual - MEM1
  9.030  WAIT         [D1000]
  9.031  IEEE2        ACQUIRE:STATE RUN
  9.032  IEEE         MEASU:IMM:VAL?[I]
  9.033  MATH         L[2] = MEM; L[12] = REFACC()
  9.034  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
  9.035  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
  9.036  ACC          mV             L3U
  9.037  MATH         MEM1 = SystemActual
  9.038  MEMCX  10    mV             1.9U

 10.001  TSET         TDESC = -5 div., +0.5 V Offset
 10.002  IEEE2        CH[V @Chan]:POSITION -5;OFFS +0.5
 10.003  TARGET       -m
 10.004  9500         588.0mV                                           S  L
 10.005  MATH         SystemActual = MEM1
 10.006  WAIT         [D1000]
 10.007  IEEE2        ACQUIRE:STATE RUN
 10.008  IEEE         MEASU:IMM:VAL?[I]
 10.009  MATH         L[1] = MEM; L[11] = REFACC()
 10.010  9500         512.0mV                                           S  L
 10.011  MATH         SystemActual = SystemActual - MEM1
 10.012  WAIT         [D1000]
 10.013  IEEE2        ACQUIRE:STATE RUN
 10.014  IEEE         MEASU:IMM:VAL?[I]
 10.015  MATH         L[2] = MEM; L[12] = REFACC()
 10.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 10.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 10.018  ACC          mV             L3U
 10.019  MATH         MEM1 = SystemActual
 10.020  MEMCX  10    mV             2.7U

 11.001  TSET         TDESC = +5 div., -0.5 V Offset
 11.002  IEEE2        CH[V @Chan]:POSITION +5;OFFS -0.5
 11.003  TARGET       -m
 11.004  9500         -512.0mV                                          S  L
 11.005  MATH         SystemActual = MEM1
 11.006  WAIT         [D1000]
 11.007  IEEE2        ACQUIRE:STATE RUN
 11.008  IEEE         MEASU:IMM:VAL?[I]
 11.009  MATH         L[1] = MEM; L[11] = REFACC()
 11.010  9500         -588.0mV                                          S  L
 11.011  MATH         SystemActual = SystemActual - MEM1
 11.012  WAIT         [D1000]
 11.013  IEEE2        ACQUIRE:STATE RUN
 11.014  IEEE         MEASU:IMM:VAL?[I]
 11.015  MATH         L[2] = MEM; L[12] = REFACC()
 11.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 11.017  MATH         L[3] = (L[11] + L[12]) / 1E-3 / CONF(DevName) * 2
 11.018  ACC          mV             L3U
 11.019  MATH         MEM1 = SystemActual
 11.020  MEMCX  10    mV             2.7U

 12.001  RSLT         =
 12.002  HEAD         -2 Channel [V @Chan]:{ 20 mV/div}
 12.003  TARGET       -p
 12.004  TSET         TDESC = 0 div., 0.0 V Offset
 12.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 20E-3
 12.006  TARGET       -m
 12.007  9500         76.0mV                                            S  L
 12.008  MATH         SystemActual = MEM1
 12.009  WAIT         [D1000]
 12.010  IEEE2        ACQUIRE:STATE RUN
 12.011  IEEE         MEASU:IMM:VAL?[I]
 12.012  MATH         L[1] = MEM; L[11] = REFACC()
 12.013  9500         -76.0mV                                           S  L
 12.014  MATH         SystemActual = SystemActual - MEM1
 12.015  WAIT         [D1000]
 12.016  IEEE2        ACQUIRE:STATE RUN
 12.017  IEEE         MEASU:IMM:VAL?[I]
 12.018  MATH         L[2] = MEM; L[12] = REFACC()
 12.019  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 12.020  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 12.021  ACC          mV             L3U
 12.022  MATH         MEM1 = SystemActual
 12.023  MEMCX  20    mV             3.8U

 13.001  TSET         TDESC = -5 div., +0.5 V Offset
 13.002  IEEE2        CH[V @Chan]:POSITION -5;OFFS +0.5
 13.003  TARGET       -m
 13.004  9500         676.0mV                                           S  L
 13.005  MATH         SystemActual = MEM1
 13.006  WAIT         [D1000]
 13.007  IEEE2        ACQUIRE:STATE RUN
 13.008  IEEE         MEASU:IMM:VAL?[I]
 13.009  MATH         L[1] = MEM; L[11] = REFACC()
 13.010  9500         524.0mV                                           S  L
 13.011  MATH         SystemActual = SystemActual - MEM1
 13.012  WAIT         [D1000]
 13.013  IEEE2        ACQUIRE:STATE RUN
 13.014  IEEE         MEASU:IMM:VAL?[I]
 13.015  MATH         L[2] = MEM; L[12] = REFACC()
 13.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 13.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 13.018  ACC          mV             L3U
 13.019  MATH         MEM1 = SystemActual
 13.020  MEMCX  20    mV             5.6U

 14.001  TSET         TDESC = +5 div., -0.5 V Offset
 14.002  IEEE2        CH[V @Chan]:POSITION +5;OFFS -0.5
 14.003  TARGET       -m
 14.004  9500         -524.0mV                                          S  L
 14.005  MATH         SystemActual = MEM1
 14.006  WAIT         [D1000]
 14.007  IEEE2        ACQUIRE:STATE RUN
 14.008  IEEE         MEASU:IMM:VAL?[I]
 14.009  MATH         L[1] = MEM; L[11] = REFACC()
 14.010  9500         -676.0mV                                          S  L
 14.011  MATH         SystemActual = SystemActual - MEM1
 14.012  WAIT         [D1000]
 14.013  IEEE2        ACQUIRE:STATE RUN
 14.014  IEEE         MEASU:IMM:VAL?[I]
 14.015  MATH         L[2] = MEM; L[12] = REFACC()
 14.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 14.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 14.018  ACC          mV             L3U
 14.019  MATH         MEM1 = SystemActual
 14.020  MEMCX  20    mV             5.6U

 15.001  RSLT         =
 15.002  HEAD         -2 Channel [V @Chan]:{ 50 mV/div}
 15.003  TARGET       -p
 15.004  TSET         TDESC = 0 div., 0.0 V Offset
 15.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 50E-3
 15.006  TARGET       -m
 15.007  9500         190.0mV                                           S  L
 15.008  MATH         SystemActual = MEM1
 15.009  WAIT         [D1000]
 15.010  IEEE2        ACQUIRE:STATE RUN
 15.011  IEEE         MEASU:IMM:VAL?[I]
 15.012  MATH         L[1] = MEM; L[11] = REFACC()
 15.013  9500         -190.0mV                                          S  L
 15.014  MATH         SystemActual = SystemActual - MEM1
 15.015  WAIT         [D1000]
 15.016  IEEE2        ACQUIRE:STATE RUN
 15.017  IEEE         MEASU:IMM:VAL?[I]
 15.018  MATH         L[2] = MEM; L[12] = REFACC()
 15.019  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 15.020  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 15.021  ACC          mV             L3U
 15.022  MATH         MEM1 = SystemActual
 15.023  MEMCX  50    mV             9.5U

 16.001  TSET         TDESC = -5 div., +0.5 V Offset
 16.002  IEEE2        CH[V @Chan]:POSITION -5;OFFS +0.5
 16.003  TARGET       -m
 16.004  9500         940.0mV                                           S  L
 16.005  MATH         SystemActual = MEM1
 16.006  WAIT         [D1000]
 16.007  IEEE2        ACQUIRE:STATE RUN
 16.008  IEEE         MEASU:IMM:VAL?[I]
 16.009  MATH         L[1] = MEM; L[11] = REFACC()
 16.010  9500         560.0mV                                           S  L
 16.011  MATH         SystemActual = SystemActual - MEM1
 16.012  WAIT         [D1000]
 16.013  IEEE2        ACQUIRE:STATE RUN
 16.014  IEEE         MEASU:IMM:VAL?[I]
 16.015  MATH         L[2] = MEM; L[12] = REFACC()
 16.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 16.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 16.018  ACC          mV             L3U
 16.019  MATH         MEM1 = SystemActual
 16.020  MEMCX  50    mV             15.2U

 17.001  TSET         TDESC = +5 div., -0.5 V Offset
 17.002  IEEE2        CH[V @Chan]:POSITION +5;OFFS -0.5
 17.003  TARGET       -m
 17.004  9500         -560.0mV                                          S  L
 17.005  MATH         SystemActual = MEM1
 17.006  WAIT         [D1000]
 17.007  IEEE2        ACQUIRE:STATE RUN
 17.008  IEEE         MEASU:IMM:VAL?[I]
 17.009  MATH         L[1] = MEM; L[11] = REFACC()
 17.010  9500         -940.0mV                                          S  L
 17.011  MATH         SystemActual = SystemActual - MEM1
 17.012  WAIT         [D1000]
 17.013  IEEE2        ACQUIRE:STATE RUN
 17.014  IEEE         MEASU:IMM:VAL?[I]
 17.015  MATH         L[2] = MEM; L[12] = REFACC()
 17.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 17.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 17.018  ACC          mV             L3U
 17.019  MATH         MEM1 = SystemActual
 17.020  MEMCX  50    mV             15.2U

 18.001  RSLT         =
 18.002  HEAD         -2 Channel [V @Chan]:{ 100 mV/div}
 18.003  TARGET       -p
 18.004  TSET         TDESC = 0 div., 0.0 V Offset
 18.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 100E-3
 18.006  TARGET       -m
 18.007  9500         380.0mV                                           S  L
 18.008  MATH         SystemActual = MEM1
 18.009  WAIT         [D1000]
 18.010  IEEE2        ACQUIRE:STATE RUN
 18.011  IEEE         MEASU:IMM:VAL?[I]
 18.012  MATH         L[1] = MEM; L[11] = REFACC()
 18.013  9500         -380.0mV                                          S  L
 18.014  MATH         SystemActual = SystemActual - MEM1
 18.015  WAIT         [D1000]
 18.016  IEEE2        ACQUIRE:STATE RUN
 18.017  IEEE         MEASU:IMM:VAL?[I]
 18.018  MATH         L[2] = MEM; L[12] = REFACC()
 18.019  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 18.020  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 18.021  ACC          mV             L3U
 18.022  MATH         MEM1 = SystemActual
 18.023  MEMCX  100   mV             9.5U

 19.001  TSET         TDESC = 0 div., +4.5 V Offset
 19.002  IEEE2        CH[V @Chan]:OFFS +4.5
 19.003  TARGET       -m
 19.004  9500         4.88V                                             S  L
 19.005  MATH         SystemActual = MEM1
 19.006  WAIT         [D1000]
 19.007  IEEE2        ACQUIRE:STATE RUN
 19.008  IEEE         MEASU:IMM:VAL?[I]
 19.009  MATH         L[1] = MEM; L[11] = REFACC()
 19.010  9500         4.12V                                             S  L
# Divide by 1E-3 because results are expressed in mV.
 19.011  MATH         SystemActual = (SystemActual - MEM1) / 1E-3
 19.012  WAIT         [D1000]
 19.013  IEEE2        ACQUIRE:STATE RUN
 19.014  IEEE         MEASU:IMM:VAL?[I]
 19.015  MATH         L[2] = MEM; L[12] = REFACC()
 19.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 19.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 19.018  ACC          mV             L3U
 19.019  MATH         MEM1 = SystemActual
 19.020  MEMCX  100   mV             25.8U

 20.001  TSET         TDESC = 0 div., -4.5 V Offset
 20.002  IEEE2        CH[V @Chan]:OFFS -4.5
 20.003  TARGET       -m
 20.004  9500         -4.12V                                            S  L
 20.005  MATH         SystemActual = MEM1
 20.006  WAIT         [D1000]
 20.007  IEEE2        ACQUIRE:STATE RUN
 20.008  IEEE         MEASU:IMM:VAL?[I]
 20.009  MATH         L[1] = MEM; L[11] = REFACC()
 20.010  9500         -4.88V                                            S  L
 20.011  MATH         SystemActual = (SystemActual - MEM1) / 1E-3
 20.012  WAIT         [D1000]
 20.013  IEEE2        ACQUIRE:STATE RUN
 20.014  IEEE         MEASU:IMM:VAL?[I]
 20.015  MATH         L[2] = MEM; L[12] = REFACC()
 20.016  MATH         MEM = ABS(L[1] - L[2]) / 1E-3
 20.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 20.018  ACC          mV             L3U
 20.019  MATH         MEM1 = SystemActual
 20.020  MEMCX  100   mV             25.8U

 21.001  RSLT         =
 21.002  HEAD         -2 Channel [V @Chan]:{ 200 mV/div}
 21.003  TARGET       -p
 21.004  TSET         TDESC = 0 div., 0.0 V Offset
 21.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 200E-3
 21.006  TARGET       -m
 21.007  9500         760mV                                             S  L
 21.008  MATH         SystemActual = MEM1
 21.009  WAIT         [D1000]
 21.010  IEEE2        ACQUIRE:STATE RUN
 21.011  IEEE         MEASU:IMM:VAL?[I]
 21.012  MATH         L[1] = MEM; L[11] = REFACC()
 21.013  9500         -760mV                                            S  L
 21.014  MATH         SystemActual = (SystemActual - MEM1) * 1E-3
 21.015  WAIT         [D1000]
 21.016  IEEE2        ACQUIRE:STATE RUN
 21.017  IEEE         MEASU:IMM:VAL?[I]
 21.018  MATH         L[2] = MEM; L[12] = REFACC()
 21.019  MATH         MEM = ABS(L[1] - L[2])
 21.020  MATH         L[3] = ((L[11] + L[12]) / CONF(DevName) * 2) * 1E-3
 21.021  ACC          V              L3U
 21.022  MATH         MEM1 = SystemActual
 21.023  MEMCX  0.2   V              0.0380U

 22.001  TSET         TDESC = +2 div., +4.6 V Offset
 22.002  IEEE2        CH[V @Chan]:POSITION +2;OFFS +4.6
 22.003  TARGET       -m
 22.004  9500         4.96V                                             S  L
 22.005  MATH         SystemActual = MEM1
 22.006  WAIT         [D1000]
 22.007  IEEE2        ACQUIRE:STATE RUN
 22.008  IEEE         MEASU:IMM:VAL?[I]
 22.009  MATH         L[1] = MEM; L[11] = REFACC()
 22.010  9500         3.44V                                             S  L
 22.011  MATH         SystemActual = SystemActual - MEM1
 22.012  WAIT         [D1000]
 22.013  IEEE2        ACQUIRE:STATE RUN
 22.014  IEEE         MEASU:IMM:VAL?[I]
 22.015  MATH         L[2] = MEM; L[12] = REFACC()
 22.016  MATH         MEM = ABS(L[1] - L[2])
 22.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 22.018  ACC          V              L3U
 22.019  MATH         MEM1 = SystemActual
 22.020  MEMCX  0.2   V              0.0508U

 23.001  TSET         TDESC = -2 div., -4.6 V Offset
 23.002  IEEE2        CH[V @Chan]:POSITION -2;OFFS -4.6
 23.003  TARGET       -m
 23.004  9500         -3.44V                                            S  L
 23.005  MATH         SystemActual = MEM1
 23.006  WAIT         [D1000]
 23.007  IEEE2        ACQUIRE:STATE RUN
 23.008  IEEE         MEASU:IMM:VAL?[I]
 23.009  MATH         L[1] = MEM; L[11] = REFACC()
 23.010  9500         -4.96V                                            S  L
 23.011  MATH         SystemActual = SystemActual - MEM1
 23.012  WAIT         [D1000]
 23.013  IEEE2        ACQUIRE:STATE RUN
 23.014  IEEE         MEASU:IMM:VAL?[I]
 23.015  MATH         L[2] = MEM; L[12] = REFACC()
 23.016  MATH         MEM = ABS(L[1] - L[2])
 23.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 23.018  ACC          V              L3U
 23.019  MATH         MEM1 = SystemActual
 23.020  MEMCX  0.2   V              0.0508U

 24.001  RSLT         =
 24.002  HEAD         -2 Channel [V @Chan]:{ 500 mV/div}
 24.003  TARGET       -p
 24.004  TSET         TDESC = 0 div., 0.0 V Offset
 24.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 500E-3
 24.006  TARGET       -m
 24.007  9500         1.90V                                             S  L
 24.008  MATH         SystemActual = MEM1
 24.009  WAIT         [D1000]
 24.010  IEEE2        ACQUIRE:STATE RUN
 24.011  IEEE         MEASU:IMM:VAL?[I]
 24.012  MATH         L[1] = MEM; L[11] = REFACC()
 24.013  9500         -1.90V                                            S  L
 24.014  MATH         SystemActual = SystemActual - MEM1
 24.015  WAIT         [D1000]
 24.016  IEEE2        ACQUIRE:STATE RUN
 24.017  IEEE         MEASU:IMM:VAL?[I]
 24.018  MATH         L[2] = MEM; L[12] = REFACC()
 24.019  MATH         MEM = ABS(L[1] - L[2])
 24.020  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 24.021  ACC          V              L3U
 24.022  MATH         MEM1 = SystemActual
 24.023  MEMCX  0.5   V              0.0950U

 25.001  TSET         TDESC = +4 div., +5 V Offset
 25.002  IEEE2        CH[V @Chan]:POSITION +4;OFFS +5
 25.003  TARGET       -m
 25.004  9500         4.90V                                             S  L
 25.005  MATH         SystemActual = MEM1
 25.006  WAIT         [D1000]
 25.007  IEEE2        ACQUIRE:STATE RUN
 25.008  IEEE         MEASU:IMM:VAL?[I]
 25.009  MATH         L[1] = MEM; L[11] = REFACC()
 25.010  9500         1.10V                                             S  L
 25.011  MATH         SystemActual = SystemActual - MEM1
 25.012  WAIT         [D1000]
 25.013  IEEE2        ACQUIRE:STATE RUN
 25.014  IEEE         MEASU:IMM:VAL?[I]
 25.015  MATH         L[2] = MEM; L[12] = REFACC()
 25.016  MATH         MEM = ABS(L[1] - L[2])
 25.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 25.018  ACC          V              L3U
 25.019  MATH         MEM1 = SystemActual
 25.020  MEMCX  0.5   V              0.1178U

 26.001  TSET         TDESC = -4 div., -5 V Offset
 26.002  IEEE2        CH[V @Chan]:POSITION -4;OFFS -5
 26.003  TARGET       -m
 26.004  9500         -1.10V                                            S  L
 26.005  MATH         SystemActual = MEM1
 26.006  WAIT         [D1000]
 26.007  IEEE2        ACQUIRE:STATE RUN
 26.008  IEEE         MEASU:IMM:VAL?[I]
 26.009  MATH         L[1] = MEM; L[11] = REFACC()
 26.010  9500         -4.90V                                            S  L
 26.011  MATH         SystemActual = SystemActual - MEM1
 26.012  WAIT         [D1000]
 26.013  IEEE2        ACQUIRE:STATE RUN
 26.014  IEEE         MEASU:IMM:VAL?[I]
 26.015  MATH         L[2] = MEM; L[12] = REFACC()
 26.016  MATH         MEM = ABS(L[1] - L[2])
 26.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 26.018  ACC          V              L3U
 26.019  MATH         MEM1 = SystemActual
 26.020  MEMCX  0.5   V              0.1178U

 27.001  RSLT         =
 27.002  HEAD         -2 Channel [V @Chan]:{ 1 V/div}
 27.003  TARGET       -p
 27.004  TSET         TDESC = 0 div., 0.0 V Offset
 27.005  IEEE2        CH[V @Chan]:POSITION 0;OFFS 0;VOLTS 1
 27.006  TARGET       -m
 27.007  9500         3.80V                                             S  L
 27.008  MATH         SystemActual = MEM1
 27.009  WAIT         [D1000]
 27.010  IEEE2        ACQUIRE:STATE RUN
 27.011  IEEE         MEASU:IMM:VAL?[I]
 27.012  MATH         L[1] = MEM; L[11] = REFACC()
 27.013  9500         -3.80V                                            S  L
 27.014  MATH         SystemActual = SystemActual - MEM1
 27.015  WAIT         [D1000]
 27.016  IEEE2        ACQUIRE:STATE RUN
 27.017  IEEE         MEASU:IMM:VAL?[I]
 27.018  MATH         L[2] = MEM; L[12] = REFACC()
 27.019  MATH         MEM = ABS(L[1] - L[2])
 27.020  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 27.021  ACC          V              L3U
 27.022  MATH         MEM1 = SystemActual
 27.023  MEMCX  1     V              0.1900U

 28.001  TSET         TDESC = 0 div., +2 V Offset
 28.002  IEEE2        CH[V @Chan]:OFFS +2
 28.003  TARGET       -m
 28.004  9500         5.00V                                             S  L
 28.005  MATH         SystemActual = MEM1
 28.006  WAIT         [D1000]
 28.007  IEEE2        ACQUIRE:STATE RUN
 28.008  IEEE         MEASU:IMM:VAL?[I]
 28.009  MATH         L[1] = MEM; L[11] = REFACC()
 28.010  9500         -1.00V                                            S  L
 28.011  MATH         SystemActual = SystemActual - MEM1
 28.012  WAIT         [D1000]
 28.013  IEEE2        ACQUIRE:STATE RUN
 28.014  IEEE         MEASU:IMM:VAL?[I]
 28.015  MATH         L[2] = MEM; L[12] = REFACC()
 28.016  MATH         MEM = ABS(L[1] - L[2])
 28.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 28.018  ACC          V              L3U
 28.019  MATH         MEM1 = SystemActual
 28.020  MEMCX  1     V              0.1178U

 29.001  TSET         TDESC = 0 div., -2 V Offset
 29.002  IEEE2        CH[V @Chan]:OFFS -2
 29.003  TARGET       -m
 29.004  9500         1.00V                                             S  L
 29.005  MATH         SystemActual = MEM1
 29.006  WAIT         [D1000]
 29.007  IEEE2        ACQUIRE:STATE RUN
 29.008  IEEE         MEASU:IMM:VAL?[I]
 29.009  MATH         L[1] = MEM; L[11] = REFACC()
 29.010  9500         -5.00V                                            S  L
 29.011  MATH         SystemActual = SystemActual - MEM1
 29.012  WAIT         [D1000]
 29.013  IEEE2        ACQUIRE:STATE RUN
 29.014  IEEE         MEASU:IMM:VAL?[I]
 29.015  MATH         L[2] = MEM; L[12] = REFACC()
 29.016  MATH         MEM = ABS(L[1] - L[2])
 29.017  MATH         L[3] = (L[11] + L[12]) / CONF(DevName) * 2
 29.018  ACC          V              L3U
 29.019  MATH         MEM1 = SystemActual
 29.020  MEMCX  1     V              0.1178U

 30.001  9500         *                                                 S
 30.002  HEAD         -2
 30.003  HEAD
 30.004  END

 30.005  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) Offset VER IEEE /9500 ========================

 31.001  LABEL        OFFSET
 31.002  HEAD         OFFSET
 31.003  RSLT         =
 31.004  HEAD         -2 {Channel [V @Chan]}
 31.005  TARGET
 31.006  IEEE2        *RST;HEADER OFF
 31.007  CALL         Sub TDSxxx Channel Selection
 31.008  IEEE2        SELECT:CH1 [V @Ch1]
 31.009  IEEE2        SELECT:CH2 [V @Ch2]
 31.010  IEEE2        SELECT:CH3 [V @Ch3]
 31.011  IEEE2        SELECT:CH4 [V @Ch4]
 31.012  IEEE2        CH[V @Chan]:POSITION 0E+0
 31.012  IEEE2        HORIZONTAL:MAIN:SCALE 1.0E-3
 31.012  IEEE2        TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
 31.013  IEEE2        MEASU:IMMED:TYPE MEAN;SOURCE CH[V @Chan]
 31.014  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER SEQUENCE

 31.015  RSLT         =
 31.016  HEAD         -2 Channel [V @Chan]:{ 50 mV/div}
 31.017  TARGET       -p
 31.018  IEEE2        CH[V @Chan]:OFFS 0.5;VOLTS 50E-3
 31.019  9500         500.00mV                                          S  L
 31.020  WAIT         [D1000]
 31.021  TARGET       -m
 31.022  IEEE2        ACQUIRE:STATE RUN
 31.023  IEEE         MEASU:IMM:VAL?[I]
 31.024  MATH         MEM = MEM / 1E-3
 31.025  MEMCX  500   500.00mV       8.25U

 32.001  IEEE2        CH[V @Chan]:OFFS 0.0
 32.002  9500         0.00mV                                            S  L
 32.003  WAIT         [D1000]
 32.004  TARGET       -m
 32.005  IEEE2        ACQUIRE:STATE RUN
 32.006  IEEE         MEASU:IMM:VAL?[I]
 32.007  MATH         MEM = MEM / 1E-3
 32.008  MEMCX  500   0.00mV         6.50U

 33.001  IEEE2        CH[V @Chan]:OFFS -0.5
 33.002  9500         -500.00mV                                         S  L
 33.003  WAIT         [D1000]
 33.004  TARGET       -m
 33.005  IEEE2        ACQUIRE:STATE RUN
 33.006  IEEE         MEASU:IMM:VAL?[I]
 33.007  MATH         MEM = MEM / 1E-3
 33.008  MEMCX  500   -500.00mV      8.25U

 34.001  RSLT         =
 34.002  HEAD         -2 Channel [V @Chan]:{ 100 mV/div}
 34.003  TARGET       -p
 34.004  IEEE2        CH[V @Chan]:OFFS 5;VOLTS 100E-3
 34.005  9500         5.0000V                                           S  L
 34.006  WAIT         [D1000]
 34.007  TARGET       -m
 34.008  IEEE2        ACQUIRE:STATE RUN
 34.009  IEEE         MEASU:IMM:VAL?[I]
 34.010  MEMCX  5     5.0000V        0.0425U

 35.001  IEEE2        CH[V @Chan]:OFFS 0
 35.002  9500         0.0000V                                           S  L
 35.003  WAIT         [D1000]
 35.004  TARGET       -m
 35.005  IEEE2        ACQUIRE:STATE RUN
 35.006  IEEE         MEASU:IMM:VAL?[I]
 35.007  MEMCX  5     0.0000V        0.025U

 36.001  IEEE2        CH[V @Chan]:OFFS -5
 36.002  9500         -5.0000V                                          S  L
 36.003  WAIT         [D1000]
 36.004  TARGET       -m
 36.005  IEEE2        ACQUIRE:STATE RUN
 36.006  IEEE         MEASU:IMM:VAL?[I]
 36.007  MEMCX  5     -5.0000V       0.0425U

 37.001  RSLT         =
 37.002  HEAD         -2 Channel [V @Chan]:{ 500 mV/div}
 37.003  TARGET       -p
 37.004  IEEE2        CH[V @Chan]:OFFS 5;VOLTS 500E-3
 37.005  9500         5.0000V                                           S  L
 37.006  WAIT         [D1000]
 37.007  TARGET       -m
 37.008  IEEE2        ACQUIRE:STATE RUN
 37.009  IEEE         MEASU:IMM:VAL?[I]
 37.010  MEMCX  5     5.0000V        0.0825U

 38.001  IEEE2        CH[V @Chan]:OFFS 0
 38.002  9500         0.0000V                                           S  L
 38.003  WAIT         [D1000]
 38.004  TARGET       -m
 38.005  IEEE2        ACQUIRE:STATE RUN
 38.006  IEEE         MEASU:IMM:VAL?[I]
 38.007  MEMCX  5     0.0000V        0.065U

 39.001  IEEE2        CH[V @Chan]:OFFS -5
 39.002  9500         -5.0000V                                          S  L
 39.003  WAIT         [D1000]
 39.004  TARGET       -m
 39.005  IEEE2        ACQUIRE:STATE RUN
 39.006  IEEE         MEASU:IMM:VAL?[I]
 39.007  MEMCX  5     -5.0000V       0.0825U

 40.001  RSLT         =
 40.002  HEAD         -2 Channel [V @Chan]:{ 1 V/div}
 40.003  TARGET       -p
 40.004  IEEE2        CH[V @Chan]:OFFS 2.5;VOLTS 1
 40.005  9500         2.50000V                                          S  L
 40.006  WAIT         [D1000]
 40.007  TARGET       -m
 40.008  IEEE2        ACQUIRE:STATE RUN
 40.009  IEEE         MEASU:IMM:VAL?[I]
 40.010  MEMCX  2.5   2.50000V       0.12375U

 41.001  IEEE2        CH[V @Chan]:OFFS 0
 41.002  9500         0.00000V                                          S  L
 41.003  WAIT         [D1000]
 41.004  TARGET       -m
 41.005  IEEE2        ACQUIRE:STATE RUN
 41.006  IEEE         MEASU:IMM:VAL?[I]
 41.007  MEMCX  2.5   0.00000V       0.11500U

 42.001  IEEE2        CH[V @Chan]:OFFS -2.5
 42.002  9500         -2.50000V                                         S  L
 42.003  WAIT         [D1000]
 42.004  TARGET       -m
 42.005  IEEE2        ACQUIRE:STATE RUN
 42.006  IEEE         MEASU:IMM:VAL?[I]
 42.007  MEMCX  2.5   -2.50000V      0.12375U

 43.001  9500         *                                                 S
 43.002  HEAD         -2
 43.003  HEAD
 43.004  END

 43.005  EVAL   Increment step number

# ====== Sub TDS6000B (1 yr) Delay Match VER IEEE /9500 ====================

# Local register usage:
# L[1]   Channel 1 zero crossing
# L[2]   Channel 2 zero crossing
# L[3]   Channel 3 zero crossing
# L[4]   Channel 4 zero crossing
# L[11]  Channel 1 zero crossing, first data step
# L[12]  Channel 2 zero crossing, first data step
# L[13]  Channel 3 zero crossing, first data step
# L[14]  Channel 4 zero crossing, first data step

 44.001  LABEL        DELAY_MATCH_BETWEEN_CHANS
 44.002  RSLT         =
 44.003  HEAD         {DELAY MATCH BETWEEN CHANNELS}
 44.004  TARGET
# Reset UUT to factory settings, configure for these series of tests
 44.005  IEEE2        *RST;HEADER OFF
 44.006  IEEE2        HOR:MAIN:SCALE 125E-12
 44.007  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16
 44.008  M9500                       CH1

 44.009  DO
 44.010  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN
 44.011  9500         800mVpp                      500MH          LS    S  L
 44.012  CALL         Sub TDS6000B/C Check for Trigger IEEE
 44.013  UNTIL        @Triggered || @Abort

 44.014  MATH         DataSet = 1
 44.015  IEEE2        MEASU:IMM:TYPE PCROSS

 44.016  DO
 44.017  HEAD         -2 Channel 1
 44.018  MATH         @Chan = 12
 44.019  IEEE2        SELECT:CH1 ON;CH2 ON;CH3 OFF;CH4 OFF
 44.020  M9500                       CH12
 44.021  9500         800mVpp                      500MH          LS    S  L
 44.022  WAIT         [D500]
 44.023  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 44.024  IEEE2        MEASU:IMM:SOURCE CH1
 44.025  IEEE         MEASU:IMM:VAL?[I]
 44.026  MATH         L[1] = MEM

 44.027  HEAD         -2 Channel 2
 44.028  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 44.029  IEEE2        MEASU:IMM:SOURCE CH2
 44.030  IEEE         MEASU:IMM:VAL?[I]
 44.031  MATH         L[2] = MEM

 44.032  HEAD         DELAY: Channel 3
 44.033  MATH         @Chan = 13
 44.034  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 ON;CH4 OFF
 44.035  M9500                       CH13
 44.036  9500         800mVpp                      500MH          LS    S  L
 44.037  WAIT         [D500]
 44.038  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 44.039  IEEE2        MEASU:IMM:SOURCE CH3
 44.040  IEEE         MEASU:IMM:VAL?[I]
 44.041  MATH         L[3] = MEM

 44.042  HEAD         DELAY: Channel 4
 44.043  MATH         @Chan = 14
 44.044  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 ON
 44.045  M9500                       CH14
 44.046  9500         800mVpp                      500MH          LS    S  L
 44.047  WAIT         [D500]
 44.048  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 44.049  IEEE2        MEASU:IMM:SOURCE CH4
 44.050  IEEE         MEASU:IMM:VAL?[I]
 44.051  MATH         L[4] = MEM

# Save the first set of readings and take another.
 44.052  IF           DataSet == 1
 44.053  MATH         L[11] = L[1]
 44.054  MATH         L[12] = L[2]
 44.055  MATH         L[13] = L[3]
 44.056  MATH         L[14] = L[4]
 44.057  ENDIF

 44.058  MATH         DataSet = DataSet + 1
 44.059  UNTIL        DataSet > 2

 44.060  9500         *                                                 S
# Calculate the skew between channels: 1 & 2, 1 & 3, 1 & 4
 44.061  MATH         L[12] = (ABS(L[1] - L[2]) + ABS(L[11] - L[12])) / 2
 44.062  MATH         L[13] = (ABS(L[1] - L[3]) + ABS(L[11] - L[13])) / 2
 44.063  MATH         L[14] = (ABS(L[1] - L[4]) + ABS(L[11] - L[14])) / 2
# Calculate the greatest amount of skew
 44.064  MATH         MEM = MAX_L(12, 14) / 1E-12
# 9500B time accuracy between Active Heads for dual output leveled sine.
 44.065  ACC          ps             25U
 44.066  MEMCX        0.0ps          +30U

 45.001  M9500        *
 45.002  9500         *                                                 S
 45.003  HEAD
 45.004  HEAD         -2
 45.005  END

 45.006  EVAL   Increment step number

# ====== Sub TDS6000B (1 yr) Delta Time VER IEEE /9500 ======================

 46.001  LABEL        DELTA_TIME
 46.002  HEAD         DELTA_TIME
 46.003  RSLT         =
 46.004  HEAD         -2{ Channel [V @Chan]}
 46.005  M9500                       CH5
 46.006  TARGET
 46.007  LABEL        START_DELTA_TIME

 46.008  DO
 46.009  IEEE2        *RST;HEADER OFF
 46.010  CALL         Sub TDSxxx Channel Selection
 46.011  IEEE2        SELECT:CH1 [V @Ch1]
 46.012  IEEE2        SELECT:CH2 [V @Ch2]
 46.013  IEEE2        SELECT:CH3 [V @Ch3]
 46.014  IEEE2        SELECT:CH4 [V @Ch4]
 46.015  9500         500mVpp                      1MH            FE 7E S  L
 46.016  IEEE2        AUTOSET EXECUTE
 46.017  IEEE2        TRIG:A SETLEVEL
# Select Real Time acquisition mode.
 46.018  IEEE2        ACQ:STATE STOP;REPET OFF
 46.019  IEEE2        HOR:MAIN:SCALE 5E-9
 46.020  IEEE2        CH[V @Chan]:VOLT 20E-3;POSITION -3.1
 46.020  IEEE2        TRIG:A:LEVEL 60E-3
 46.021  IEEE2        MEASU:MEAS1:TYPE PWIDTH;SOURCE CH[V @Chan];STATE ON
 46.022  IEEE2        MEASU:STATISTICS:MODE ALL;COUNT RESET;WEIGHTING 1000
 46.023  IEEE2        MEASU:REFLEVEL:METHOD ABSOLUTE;ABSOLUTE:MID 150E-3
 46.024  IEEE2        ACQ:STATE RUN
 46.025  WAIT         -t30 "Calculating Statistics"
 46.026  IEEE2        ACQ:STATE STOP
 46.027  IEEE         MEASU:MEAS1:MEAN?[I$]

 46.028  IF           ZCMP(MEM2, "99.0000E+36")
 46.029  OPBR         -z UUT could not calculate mean.
 46.029  OPBR
 46.029  OPBR         Do you wish to repeat the acquistion?
 46.030  MATH         HaveMean = 0; @Abort = NOT(MEM1)
 46.031  ELSE
 46.032  MATH         HaveMean = 1; @Abort = 0
 46.033  ENDIF

 46.034  UNTIL        HaveMean || @Abort

 46.035  JMPL         END                          @Abort
 46.036  MATH         Mean = MEM2
 46.037  IEEE         MEASU:MEAS1:MAXIMUM?[I$]

 46.038  IF           ZCMP(MEM2, "99.0000E+36")
 46.039  MATH         MEM = MEM2
 46.040  ELSE
 46.041  MATH         MEM = (MEM2 - Mean) / 1E-9
 46.042  MATH         MEM2 = FMT(MEM, "%6.4f")
 46.043  ENDIF

 46.044  EVAL   -e MEM <= 0.015 : [32]Max - Mean: [MEM2] ns, Bound: <= 0.015

 47.001  JMPL         GET_MINIUM

# Establish TARGET for Post Test Repeat and Cancel options.
 47.002  TARGET       -p
 47.003  JMPL         START_DELTA_TIME

 47.004  LABEL        GET_MINIUM
 47.005  IEEE         MEASU:MEAS1:MINIMUM?[I$]

 47.006  IF           ZCMP(MEM2, "99.0000E+36")
 47.007  MATH         MEM = MEM2
 47.008  ELSE
 47.009  MATH         MEM = (Mean - MEM2) / 1E-9
 47.010  MATH         MEM2 = FMT(MEM, "%6.4f")
 47.011  ENDIF

 47.012  EVAL   -e MEM <= 0.015 : [32]Mean - Min: [MEM2] ns, Bound: <= 0.015

 48.001  M9500        *
 48.002  9500         *                                                 S
 48.003  IEEE2        MEASU:MEAS1:STATE OFF
 48.004  HEAD
 48.005  HEAD         -2
 48.006  END

 48.007  EVAL   Increment step number


 49.001  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) Trig Sensitivity IEEE /9500 ==================

 50.001  LABEL        TRIGGER_SENSITIVITY
 50.002  HEAD         TRIGGER SENSITIVITY: Channel [V @Chan]
 50.003  RSLT         =
 50.004  HEAD         -2 {Channel [V @Chan]}
 50.005  MATH         @StartTrigLevel = -0.030
 50.006  MATH         @TargetAmplVpp = 350e-3
 50.007  MATH         @Freq = "50 MHz"
 50.008  TARGET
 50.009  IEEE2        *RST;HEADER OFF
 50.010  CALL         Sub TDSxxx Channel Selection
 50.011  IEEE2        SELECT:CH1 [V @Ch1]
 50.012  IEEE2        SELECT:CH2 [V @Ch2]
 50.013  IEEE2        SELECT:CH3 [V @Ch3]
 50.014  IEEE2        SELECT:CH4 [V @Ch4]
 50.015  IEEE2        TRIG:A:MODE NORMAL
 50.016  IEEE2        MEASU:METHOD MINMAX
 50.016  IEEE2        MEASU:IMM:TYPE AMPLITUDE;SOURCE CH[V @Chan]
 50.017  IEEE2        HOR:MAIN:SCALE 20e-9
 50.018  IEEE2        TRIG:A:EDGE:SLOPE RISE;SOURCE CH[V @Chan]
 50.019  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 350 mVpp.  We will adjust for 350 mVpp on UUT below.
 50.020  MATH         MEM = @TargetAmplVpp
 50.021  9500         Vpp                          50MH           LS    S  L
 50.022  IEEE2        TRIG:A SETLEVEL

 50.023  DO
 50.024  CALL         Sub TDS6000B/C Check for Trigger IEEE
 50.025  UNTIL        @Triggered || @Abort

 50.026  JMPL         END                          @Abort
 50.027  CALL         Sub TDS6000B/C Set Leveled Sine IEEE /9500
 50.028  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 10
# Store the attenuated 9500 output level
 50.029  HEAD         MAIN TRIGGER TESTS
 50.030  MATH         @Name = "Main"; @Trig = "A"; @AmplVpp = MEM1 / 10
 50.031  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN

# Do negative slope test first so system is left triggered on positive slope.
 50.032  JMPL         MAIN_TRIG_SLOPE_NEG_50MHz

 50.033  LABEL        MAIN_TRIG_SLOPE_POS_50MHz
 50.034  MATH         @Slope = "+"
 50.035  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.036  JMPL         END                          @Abort
# Negative slope triggering has been checked.  Jump to delayed trigger tests.
 50.037  JMPL         DELAYED_TRIGGER_TESTS_50MHz

# Set the 9500 again
 50.038  LABEL        MAIN_TRIG_SLOPE_NEG_50MHz
 50.039  MATH         @Slope = "-"
 50.040  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.041  JMPL         END                          @Abort
# Now check positive slope triggering.
 50.042  JMPL         MAIN_TRIG_SLOPE_POS_50MHz

# We will test the trigger on the Delayed Timebase
 50.043  LABEL        DELAYED_TRIGGER_TESTS_50MHz
 50.044  HEAD         DELAYED TRIGGER TESTS
 50.045  MATH         @Name = "Delayed"; @Trig = "B"
 50.046  IEEE2        TRIG:B:BY TIME;EDGE:SOURCE CH[V @Chan]

# Do negative slope test first so system is left triggered on positive slope.
 50.047  JMPL         DELAYED_TRIG_SLOPE_NEG_50MHz

 50.048  LABEL        DELAYED_TRIG_SLOPE_POS_50MHz
 50.049  MATH         @Slope = "+"
 50.050  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.051  JMPL         END                          @Abort
 50.052  JMPL         AUX_TRIG_TESTS_50MHz

 50.053  LABEL        DELAYED_TRIG_SLOPE_NEG_50MHz
 50.054  MATH         @Slope = "-"
 50.055  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.056  JMPL         END                          @Abort
# Now check positive slope triggering.
 50.057  JMPL         DELAYED_TRIG_SLOPE_POS_50MHz

 50.058  LABEL        AUX_TRIG_TESTS_50MHz
# Reset 9500 to avoid a settings conflict when going to dual output mode.
 50.059  9500         *                                                 S
 50.060  IEEE2        TRIG:B:STATE OFF
 50.061  HEAD         AUX TRIGGER TESTS
 50.062  MATH         @Name = "Aux"; @Trig = "A"
 50.063  TARGET
# Save value of @Chan
 50.064  MATH         SaveChan = @Chan

# CH 1 Active Head => UUT CH 1, CH 4 Active Head UUT AUX INPUT.
 50.065  IF           @Chan == 1
 50.066  MATH         @Chan = 14
 50.067  M9500                       CH14

# CH 2 Active Head => UUT CH 2, CH 4 Active Head UUT AUX INPUT.
 50.068  ELSEIF       @Chan == 2
 50.069  MATH         @Chan = 24
 50.070  M9500                       CH24

# CH 3 Active Head => UUT CH 3, CH 4 Active Head UUT AUX INPUT.
# CH 4 Active Head => UUT CH 4, CH 3 Active Head UUT AUX INPUT.
 50.071  ELSE
 50.072  MATH         @Chan = 34
 50.073  M9500                       CH34
 50.074  ENDIF

# Restore @Chan.
 50.075  MATH         @Chan = SaveChan
 50.076  IEEE2        TRIG:A:EDGE:SOURCE AUX;SLOPE RISE
# Intially set 9500 to 250 mVpp.  We will adjust for 250 mVpp on UUT below.
 50.077  MATH         @TargetAmplVpp = 250e-3; MEM = @TargetAmplVpp
 50.078  9500         Vpp                          50MH           LS    S  L
 50.079  IEEE2        TRIG:A SETLEVEL

 50.080  DO
 50.081  CALL         Sub TDS6000B/C Check for Trigger IEEE
 50.082  UNTIL        @Triggered || @Abort

 50.083  JMPL         END                          @Abort
 50.084  CALL         Sub TDS6000B/C Set Leveled Sine IEEE /9500
 50.085  JMPL         END                          @Abort

 50.086  MATH         @AmplVpp = MEM1
# Set the Auxilary Trigger
 50.087  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN
 50.088  IEEE2        TRIG:A SETLEVEL

 50.089  MATH         @Slope = "+"
 50.090  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.091  JMPL         END                          @Abort

 50.092  MATH         @Slope = "-"
 50.093  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.094  JMPL         END                          @Abort

 50.095  IEEE2        HOR:MAIN:SCALE 200e-12
 50.096  IEEE2        TRIG:A:EDGE:SLOPE RISE;SOURCE CH[V @Chan]
 50.097  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 750 mVpp.  We will adjust for 750 mVpp on UUT below.
 50.098  MATH         @TargetAmplVpp = 750e-3; MEM = @TargetAmplVpp
 50.099  9500         Vpp                          3GH            LS    S  L
 50.100  IEEE2        TRIG:A SETLEVEL

 50.101  DO
 50.102  CALL         Sub TDS6000B/C Check for Trigger IEEE
 50.103  UNTIL        @Triggered || @Abort

 50.104  LABEL        ADJUST_FOR_750mVpp_3GHz
 50.105  MATH         @TargetAmplVpp = 750e-3; @Freq = "3 GHz"
 50.106  CALL         Sub TDS6000B/C Set Leveled Sine IEEE /9500
 50.107  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 5.
# Store the attenuated 9500 output level.
 50.108  HEAD         MAIN TRIGGER TESTS
 50.109  MATH         @Name = "Main"; @Trig = "A"
 50.110  MATH         @AmplVpp = MEM1 / 5
 50.111  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN

# Do negative slope test first so system is left triggered on positive slope.
 50.112  JMPL         MAIN_TRIG_SLOPE_NEG_3GHz

 50.113  LABEL        MAIN_TRIG_SLOPE_POS_3GHz
 50.114  MATH         @Slope = "+"
 50.115  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.116  JMPL         END                          @Abort

# Negative slope triggering has been checked.  Jump to delayed trigger tests.
 50.117  JMPL         DELAYED_TRIGGER_TESTS_1.5GHz

# Set the 9500 again
 50.118  LABEL        MAIN_TRIG_SLOPE_NEG_3GHz
 50.119  MATH         @Slope = "-"
 50.120  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.121  JMPL         END                          @Abort

# Now check positive slope triggering.
 50.122  JMPL         MAIN_TRIG_SLOPE_POS_3GHz

# We will test the trigger on the Delayed Timebase
 50.123  LABEL        DELAYED_TRIGGER_TESTS_1.5GHz
 50.124  HEAD         DELAYED TRIGGER TESTS
 50.125  MATH         @Name = "Delayed"; @Trig = "B"; @Freq = "1.5 GHz"
 50.126  IEEE2        TRIG:B:BY TIME;EDGE:SOURCE CH[V @Chan]
 50.127  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 500 mVpp.  We will adjust for 500 mVpp on UUT below.
 50.128  MATH         @TargetAmplVpp = 500e-3; MEM = @TargetAmplVpp
 50.129  9500         Vpp                          1.5GH          LS    S  L
 50.130  IEEE2        TRIG:A SETLEVEL

 50.131  LABEL        CHECK_FOR_DELAYED_TRIG_1.5GHz
 50.132  DO
 50.133  CALL         Sub TDS6000B/C Check for Trigger IEEE
 50.134  UNTIL        @Triggered || @Abort

 50.135  JMPL         END                          @Abort
 50.136  MATH         @TargetAmplVpp = 500e-3
 50.137  CALL         Sub TDS6000B/C Set Leveled Sine IEEE /9500
 50.138  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 5.
# Store the attenuated 9500 output level.
 50.139  MATH         @AmplVpp = MEM1 / 5

# Do negative slope test first so system is left triggered on positive slope.
 50.140  JMPL         DELAYED_TRIG_SLOPE_NEG_1.5GHz

 50.141  LABEL        DELAYED_TRIG_SLOPE_POS_1.5GHz
 50.142  MATH         @Slope = "+"
 50.143  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.144  JMPL         END                          @Abort

 50.145  JMPL         AUX_TRIGGER_TESTS_1.5GHz

 50.146  LABEL        DELAYED_TRIG_SLOPE_NEG_1.5GHz
 50.147  MATH         @Slope = "-"
 50.148  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.149  JMPL         END                          @Abort

# Now check positive slope triggering.
 50.150  JMPL         DELAYED_TRIG_SLOPE_POS_1.5GHz

 50.151  LABEL        AUX_TRIGGER_TESTS_1.5GHz
 50.152  HEAD         AUX TRIGGER TESTS
 50.153  TARGET
# Reset 9500 to avoid a settings conflict when going to dual output mode.
 50.154  9500         *                                                 S
 50.155  IEEE2        TRIG:B:STATE OFF

 50.156  MATH         @Name = "Aux"; @Trig = "A"
# Save value of @Chan.
 50.157  MATH         SaveChan = @Chan

# CH 1 Active Head => UUT CH 1, CH 4 Active Head UUT AUX INPUT.
 50.158  IF           @Chan == 1
 50.159  M9500                       CH14
 50.160  MATH         @Chan = 14

# CH 2 Active Head => UUT CH 2, CH 4 Active Head UUT AUX INPUT.
 50.161  ELSEIF       @Chan == 2
 50.162  M9500                       CH24
 50.163  MATH         @Chan = 24

# CH 3 Active Head => UUT CH 3, CH 4 Active Head UUT AUX INPUT.
# CH 4 Active Head => UUT CH 4, CH 3 Active Head UUT AUX INPUT.
 50.164  ELSE
 50.165  M9500                       CH34
 50.166  MATH         @Chan = 34
 50.167  ENDIF

# Restore @Chan.
 50.168  MATH         @Chan = SaveChan
 50.169  IEEE2        HOR:MAIN:SCALE 1.25e-9
# Set the Auxilary Trigger
 50.170  IEEE2        TRIG:A:EDGE:SOURCE AUX;SLOPE RISE
# Intially set 9500 to 350 mVpp.  We will adjust for 350 mVpp on UUT below.
 50.171  MATH         @TargetAmplVpp = 350e-3; MEM = @TargetAmplVpp
 50.172  9500         Vpp                          1.5GH          LS    S  L
 50.173  IEEE2        TRIG:A SETLEVEL
 50.174  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN

 50.175  DO
 50.176  CALL         Sub TDS6000B/C Check for Trigger IEEE
 50.177  UNTIL        @Triggered || @Abort

 50.178  CALL         Sub TDS6000B/C Set Leveled Sine IEEE /9500
 50.179  JMPL         END                          @Abort

 50.180  MATH         @AmplVpp = MEM1
 50.181  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN
 50.182  IEEE2        TRIG:A SETLEVEL

 50.183  MATH         @Slope = "+"
 50.184  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.185  JMPL         END                          @Abort

 50.186  MATH         @Slope = "-"
 50.187  CALL         Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
 50.188  JMPL         END                          @Abort

 50.189  M9500        *

 50.190  LABEL        END
 50.191  9500         *                                                 S
 50.192  HEAD
 50.193  HEAD         -2
 50.194  END
