﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C (1 yr) Pulse Trigger VER IEEE /9500
DATE:                  2017-04-10 09:13:25
AUTHOR:                Fluke
REVISION:              $Revision: 19197 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       166
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {ACCURACY FOR PULSE-WIDTH TRIGGERING: 100 MHz}
  1.003  M9500                       CH1
  1.004  TARGET
  1.005  IEEE2        *RST;HEADER OFF
  1.006  IEEE2        HOR:MAIN:SCALE 10E-9
  1.007  DISP         Connect CH 1 Active Head to UUT CH 1 TCA-BNC Adapter
  1.007  DISP         via a BNC 10x (20 dB) attenuator and a BNC elbow.
  1.008  9500         100MH                        5Vpp           LS    S  L
  1.009  IEEE2        TRIG:A SETLEVEL
  1.010  IEEE2        TRIG:A:MODE NORMAL;TYPE PULSE
  1.011  IEEE2        TRIG:A:PULSE:CLASS WIDTH;WIDTH:WHEN WITHIN
  1.012  IEEE2        TRIG:A:PULSE:WIDTH:HIGHLIMIT 10e-9;LOWLIMIT 2e-9
  1.013  IEEE2        TRIG:A SETLEVEL

# Now we start the evaluation Test.  Lower Limit will be tested first.
  1.014  MATH         MEM = 2E-9

  1.015  DO
  1.016  MATH         MEM = MEM + 0.2E-9
  1.017  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
  1.018  HEAD         -2 Lower Limit: [MEM2] ns
  1.019  IEEE2        TRIG:A:PULSE:WIDTH:LOWLIMIT [MEM]
  1.020  WAIT         [D500]
  1.021  IEEE         TRIG:STATE?[I$]
  1.022  UNTIL        (MEM > 6.5E-9) || NOT(FIND(MEM2, "TRIG", 1))

  1.023  MATH         MEM = MEM / 1E-9
# Lower Limit must be within 3.5 ns to 6.5 ns after the UUT loses triggering.
  1.024  MATH         MEM1 = (MEM >= 3.5) + (MEM <= 6.5)
  1.025  MEM2         =[MEM] ns, Limits: 3.5 to 6.5 ns
  1.026  EVAL   -e MEM1 == 2 : [32]Lower Limit: [MEM2]

  2.001  IEEE2        TRIG:A:PULSE:WIDTH:HIGHLIMIT 10E-9;LOWLIMIT 2E-9
  2.002  9500         100MH                        5Vpp           LS    S  L
  2.003  IEEE2        TRIG:A SETLEVEL
  2.004  IEEE2        TRIG:A SETLEVEL
  2.005  MATH         MEM = 10E-9

# Determine upper limit setting at which UUT loses triggering.
  2.006  DO
  2.007  MATH         MEM = MEM - 0.2E-9
  2.008  MATH         MEM2 = FMT((MEM / 1E-9), "%3.1f")
  2.009  HEAD         -2, Upper Limit: [MEM2] ns
  2.010  IEEE2        TRIG:A:PULSE:WIDTH:HIGHLIMIT [MEM]
  2.011  WAIT         [D250]
  2.012  IEEE         TRIG:STATE?[I$]
  2.013  UNTIL        (MEM < 2.5E-9) || NOT(FIND(MEM2, "TRIG", 1))

  2.014  MATH         MEM = MEM / 1E-9
# Upper Limit must be within 3.5 ns to 6.5 ns after the UUT loses triggering.
  2.015  MATH         MEM1 = (MEM >= 3.5) + (MEM <= 6.5)
  2.016  MEM2         =[MEM] ns, Limits: 3.5 to 6.5 ns
  2.017  EVAL   -e MEM1 == 2 : [32]Upper Limit: [MEM2]

# Next we Test at 250kHz
  3.001  RSLT         =
  3.002  HEAD         {ACCURACY FOR PULSE-WIDTH TRIGGERING: 250 kHz}
  3.003  TARGET
# Set up the Pulse Trigger Mode
# Set the horizontal time to 4 µs per division
  3.004  IEEE2        HOR:MAIN:SCALE 4E-6
  3.005  IEEE2        TRIG:A:PULSE:WIDTH:HIGHLIMIT 4E-6;LOWLIMIT 500E-9
  3.006  9500         250kH                        5Vpp           LS    S  L

# We are putting in a voltage which will overdrive the display.
# This is per the manual
  3.007  IEEE2        CH1:VOLTS 20E-3
  3.008  IEEE2        TRIG:A SETLEVEL

# Now we start the evaluation Test.  Lower Limit will be tested first
  3.009  MATH         MEM = 0.5E-6

  3.010  DO
  3.011  MATH         MEM = MEM + 0.02E-6
  3.012  MATH         MEM2 = FMT((MEM / 1E-6), "%3.2f")
  3.013  HEAD         -2 Lower Limit: [MEM2] µs
  3.014  IEEE2        TRIG:A:PULSE:WIDTH:LOWLIMIT [MEM][D250]
  3.015  IEEE         TRIG:STATE?[I$]
  3.016  UNTIL        (MEM > 3.0E-6) || NOT(FIND(MEM2, "TRIG", 1))

  3.017  MATH         MEM = MEM / 1E-6
# Lower Limit must be within 1 µs to 3 µs after the UUT loses triggering.
  3.018  MATH         MEM1 = (MEM >= 1.9) + (MEM <= 2.1)
  3.019  MEM2         =[MEM] µs, Limits: 1.9 to 2.1 µs
  3.020  EVAL   -e MEM1 == 2 : [32]Lower Limit: [MEM2]

# Now we do the Upper Limit
  4.001  IEEE2        TRIG:A:PULSE:WIDTH:LOWLIMIT 500E-9;HIGHLIMIT 4E-6
  4.002  9500         250kH                        5Vpp           LS    S  L
  4.003  IEEE2        TRIG:A SETLEVEL
  4.004  MATH         MEM = 4E-6

# Determine upper limit setting at which UUT loses triggering.
  4.005  DO
  4.006  MATH         MEM = MEM - 0.02e-6
  4.007  MATH         MEM2 = FMT((MEM / 1E-6), "%3.2f")
  4.008  HEAD         -2 250 kHz, Upper Limit: [MEM2] µs
  4.009  IEEE2        TRIG:A:PULSE:WIDTH:HIGHLIMIT [MEM][D250]
  4.010  IEEE         TRIG:STATE?[I$]
  4.011  UNTIL        (MEM < 1.0E-6) || NOT(FIND(MEM2, "TRIG", 1))

  4.012  MATH         MEM = MEM / 1E-6
# Upper Limit must be within 1.00 µs to 3.00 µs after the UUT loses
# triggering.
  4.013  MATH         MEM1 = (MEM >= 1.9) + (MEM <= 2.1)
  4.014  MEM2         =[MEM] µs, Limits: 1.9 to 2.1 µs
  4.015  EVAL   -e MEM1 == 2 : [32]Upper Limit: [MEM2]

  5.001  9500         *                                                 S
  5.002  DISP         Disconnect CH 1 Active Head from the 10x attenuator.
  5.002  DISP
  5.002  DISP         Disconnect attenuator and BNC elbow from UUT CH 1
  5.002  DISP         TCA-BNC Adapter.

  5.003  M9500        *
  5.004  9500         *                                                 S
  5.005  HEAD
  5.006  HEAD         -2
  5.007  END
