﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C (1 yr) Ref Out VER IEEE /LFCTR
INSTRUMENT:            Sub TDS6000B/C (1 yr) Probe Comp Output VER IEEE /LFCTR
DATE:                  2009-10-08 13:50:20
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       124
CONFIGURATION:         Philips PM 6681
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR
#
#  Required Files:
#        user_config_instr.ini
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Reset /LFCTR

  1.005  JMPL         REF_OUT                      PSUBI("Ref Out")
  1.006  JMPL         PROBE_COMP_OUTPUT            PSUBI("Probe Comp Output")
  1.007  DISP         {Subprocedure not found!}
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub Tek TDS6000B (1 yr) Ref Out IEEE /LFCTR  ========================

  2.001  LABEL        REF_OUT
  2.002  RSLT         =
  2.003  RSLT         =REF OUT
  2.004  MATH         @LFCTR_Func = "FreqCh1"
  2.005  TARGET       -p
  2.006  HEAD         REF OUT: Frequency
  2.007  DISP         Connect REF OUT on UUT rear panel to
  2.007  DISP         [V @LFCTR_DevName] [V @LFCTR_Ch1].
  2.008  IEEE2        *RST;HEADER OFF
  2.009  CALL         Sub Setup /LFCTR
  2.010  TARGET       -m
  2.011  CALL         Sub Read /LFCTR
  2.012  MATH         MEM = MEM / 1E+3
  2.013  MEMC         10000.000kH    0.025U        2Vpp

  3.001  HEAD         REF OUT: Amplitude (High)
  3.002  MATH         @LFCTR_Ch1Cpl = "DC"; @LFCTR_Ch1Imp = "LoZ"
  3.003  MATH         @LFCTR_Func = "VmaxCh1"
  3.004  TARGET       -m
  3.005  CALL         Sub Measure /LFCTR
  3.006  EVAL   -e MEM >= 1.00 : [32]High: [MEM] V, Limit: >= 1 V

  4.001  HEAD         REF OUT: Amplitude (Low)
  4.002  MATH         @LFCTR_Func = "VminCh1"
  4.003  TARGET
  4.004  CALL         Sub Measure /LFCTR
  4.005  EVAL   -e MEM <= 0.25 : [32]Low: [MEM] V, Limit: <= 0.25 V

  5.001  DISP         Disconnect the [V @LFCTR_DevName] from the UUT.
  5.002  END

  5.003  EVAL   Increment step number

# =====  Sub Tek TDS6000B (1 yr) Probe Comp Output IEEE /LFCTR  ==============

  6.001  LABEL        PROBE_COMP_OUTPUT
  6.002  RSLT         =
  6.003  HEAD         {PROBE COMPENSATION OUTPUT}
  6.004  MATH         @LFCTR_Func = "FreqCh1"
  6.005  HEAD         PROBE COMPENSATION OUTPUT: Frequency
  6.006  TARGET       -p
  6.007  DISP         Connect UUT PROBE COMPENSATION output to
  6.007  DISP         [V @LFCTR_DevName] [V @LFCTR_Ch1].
  6.008  CALL         Sub Setup /LFCTR
  6.009  TARGET       -m
  6.010  CALL         Sub Read /LFCTR
  6.011  MATH         MEM = MEM / 1E+3
  6.012  MEMC         1.000kH        0.050U        0.20Vpp

  7.001  HEAD         PROBE COMPENSATION OUTPUT: Amplitude
# Set gate time so measurement is over constant portion of waveform.
  7.002  MATH         @LFCTR_Ch1Cpl = "DC"; @LFCTR_Ch1Imp = "LoZ"
  7.003  MATH         @LFCTR_Func = "VppCh1"; @LFCTR_MeasTime = "500us"
  7.004  CALL         Sub Setup /LFCTR
  7.005  TARGET
  7.006  CALL         Sub Read /LFCTR
  7.007  MEMC         0.330Vpp       0.066U        1.000kH

  8.001  DISP         Disconnect the [V @LFCTR_DevName] from the UUT.

  8.002  END
