﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C (1 yr) Trigger Test IEEE /9500
DATE:                  2009-10-08 10:39:32
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       81
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS6000B/C Main Trigger IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @TargetAmpl = 0.002
  1.002  MATH         MEM = @AmplVpp; FreqHz = BASE(@Freq)

  1.003  IF           ZCMP(@Slope, "+")
  1.004  MATH         Edge = "RISE"
  1.005  ELSE
  1.006  MATH         Edge = "FALL"
  1.007  ENDIF

  1.008  TARGET
  1.009  IEEE         TRIG:[V @Trig]:EDGE:SLOPE [V Edge]

  1.010  IF           FreqHz == 50E+6
  1.011  9500         Vpp                          50MH           LS    S  L
  1.012  ELSEIF       FreqHz == 3E+9
  1.013  9500         Vpp                          3GH            LS    S  L
  1.014  ENDIF

  1.015  IF           ZCMPI(@Trig, "A")
  1.016  CALL         Sub TDS6000B/C Main Trigger IEEE
  1.017  ELSE
  1.018  CALL         Sub TDS6000B/C Delay Trigger IEEE
  1.019  ENDIF

  1.020  JMPL         END                          @Abort
  1.021  MATH         Ampl = FMT((MEM1 / 1e-3), "%6.3f")
  1.022  MEM2         = [V @Name] ([V @Slope])
  1.023  EVAL   -e @NumTries > 10 : [MEM2] @ [V @Freq]

  2.001  LABEL        END
  2.002  END
