﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500
INSTRUMENT:            Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500
INSTRUMENT:            Sub TDS6000B/C (1 yr) Output Signals VER IEEE /9500
DATE:                  2009-10-08 13:03:36
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       245
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDSxxx Channel Selection
#        Sub TDS6000B/C Check for Trigger IEEE
#        Sub TDS6000B/C Cursor Walker IEEE
#        Sub TDS6000B/C (1 yr) Crosstalk VER IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         MAXIMUM_INPUT_VOLTAGE        PSUBI("Max Input Voltage")
  1.002  JMPL         INPUT_IMPEDANCE              PSUBI("Input Impedance")
  1.003  JMPL         OUTPUT_SIGNALS               PSUBI("Output Signals")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500 =============

  2.001  LABEL        MAXIMUM_INPUT_VOLTAGE
  2.002  HEAD         MAXIMUM INPUT VOLTAGE
  2.003  HEAD         -2 Channel [V @Chan]
  2.004  IEEE2        *RST;HEADER OFF
  2.005  CALL         Sub TDSxxx Channel Selection
  2.006  IEEE2        SELECT:CH1 [V @Ch1]
  2.007  IEEE2        SELECT:CH2 [V @Ch2]
  2.008  IEEE2        SELECT:CH3 [V @Ch3]
  2.009  IEEE2        SELECT:CH4 [V @Ch4]
  2.010  IEEE2        CH[V @Chan]:POSITION -3
  2.011  IEEE2        TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.012  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;STOPAFTER RUNSTOP;STATE RUN

  2.013  RSLT         =
  2.014  RSLT         =Channel [V @Chan]
  2.015  RSLT         =
  2.016  HEAD         -2 Channel [V @Chan]:{ 50 mV/div}
  2.017  TARGET
  2.018  TSET         NTHROW = 0; NMEAS = 1
  2.019  IEEE2        CH[V @Chan]:VOLTS 50E-3;COUP DC
# Disable UUT SRQ.
  2.020  IEEE         *SRE 0
  2.021  9500         1V                                                S  L
  2.022  WAIT         -t 5 "Settling..."
  2.023  9500         *                                                 S
  2.024  IEEE         CH[V @Chan]:COUP?[I$]
  2.025  EVAL   -e ZCMP(MEM2, "DC") : [32]1 V

  3.001  TSET         NTHROW = 0; NMEAS = 1
  3.002  IEEE2        CH[V @Chan]:VOLTS 50E-3;COUP DC
  3.003  IEEE         *SRE 0
  3.004  9500         3V                                                S  L
  3.005  WAIT         -t 5 "Settling..."
  3.006  9500         *                                                 S
  3.007  IEEE         CH[V @Chan]:COUP?[I$]
  3.008  EVAL   -e ZCMP(MEM2, "GND") : [32]3 V

  4.001  RSLT         =
  4.002  HEAD         -2 Channel [V @Chan]:{ 1 V/div}
  4.003  TARGET
  4.004  TSET         NTHROW = 0; NMEAS = 1
  4.005  IEEE2        CH[V @Chan]:VOLTS 1;COUP DC
  4.006  IEEE         *SRE 0
  4.007  9500         5V                                                S  L
  4.008  WAIT         -t 5 "Settling..."
  4.009  9500         *                                                 S
  4.010  IEEE         CH[V @Chan]:COUP?[I$]
  4.011  EVAL   -e ZCMP(MEM2, "DC") : [32]5 V

  5.001  TSET         NTHROW = 0; NMEAS = 1
  5.002  IEEE2        CH[V @Chan]:VOLTS 1;COUP DC
  5.003  IEEE         *SRE 0
  5.004  9500         10V                          50J            OP    S  L
  5.005  IEEE         CH[V @Chan]:COUP?[I$]
  5.006  EVAL   -e ZCMP(MEM2, "GND") : [32]10 V

  6.001  9500         *                                                 S
  6.002  HEAD         -2
  6.003  HEAD
  6.004  END

  6.005  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500 ===============

  7.001  LABEL        INPUT_IMPEDANCE
  7.002  HEAD         INPUT RESISTANCE
  7.003  RSLT         =
  7.004  RSLT         =Channel [V @Chan]
  7.005  RSLT         =
  7.006  HEAD         -2 Channel [V @Chan]:{ 10 mV/div}
  7.007  TARGET       -p
  7.008  CALL         Sub TDSxxx Channel Selection
  7.009  IEEE2        SELECT:CH1 [V @Ch1]
  7.010  IEEE2        SELECT:CH2 [V @Ch2]
  7.011  IEEE2        SELECT:CH3 [V @Ch3]
  7.012  IEEE2        SELECT:CH4 [V @Ch4]
  7.013  IEEE2        CH[V @Chan]:VOLTS 10E-3
  7.014  TARGET       -m
  7.015  9500   50    50.00Z         1.25U                           ZM    L

  8.001  RSLT         =
  8.002  HEAD         -2 Channel [V @Chan]:{ 100 mV/div}
  8.003  TARGET       -p
  8.004  IEEE2        CH[V @Chan]:VOLTS 100E-3
  8.005  TARGET       -m
  8.006  9500   50    50.00Z         1.25U                           ZM    L

  9.001  9500         *                                                 S
  9.002  HEAD         -2
  9.003  HEAD
  9.004  END

  9.005  EVAL   Increment step number

# ====== Sub TDS6000B/C (1 yr) Output Signals IEEE /9500 ====================

 10.001  LABEL        OUTPUT_SIGNALS
 10.002  RSLT         =
 10.003  HEAD         {AUX TRIG OUT}
# Set stimulus channel.
 10.004  M9500                       CH3
 10.005  TARGET
 10.006  IEEE2        *RST;HEADER OFF
 10.007  IEEE2        TRIG:A:EDGE:SOURCE CH3
# Now change to channel used to measure AUX TRIG OUT signal.
 10.008  DISP         Disconnect CH 2 Active Head from SMA to BNC
 10.008  DISP         adapter at UUT CH 2 input.
 10.008  DISP
 10.008  DISP         Connect UUT AUX TRIG OUT to UUT CH 2 using a precision
 10.008  DISP         50 Ohm cable.
 10.009  CALL         Sub TDSxxx Channel Selection
 10.010  IEEE2        SELECT:CH1 OFF
 10.010  IEEE2        SELECT:CH2 ON
 10.011  IEEE2        HOR:MAIN:SCALE 200.0E-6
 10.012  IEEE2        CH2:VOLTS 500E-3;POSITION -2.0
 10.013  IEEE2        ACQ:MODE AVERAGE;NUMAVG 64
 10.014  9500         500mVpp                      1kH            SQ    S  L

 10.015  DO
 10.016  CALL         Sub TDS6000B/C Check for Trigger IEEE
 10.017  UNTIL        @Triggered || @Abort

 10.018  JMPL         END                          @Abort
 10.019  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 10.020  IEEE2        MEASU:IMMED:TYPE HIGH;SOURCE CH2
 10.021  IEEE2        ACQ:STATE RUN
 10.022  IEEE         MEASU:IMM:VALUE?[I]
 10.023  MATH         Ampl = FMT(MEM, "%4.2f")
 10.024  MEM2         = High >= 1 V
 10.025  EVAL   -e MEM >= 1.0 : [MEM2]

 11.001  IEEE2        MEASU:IMMED:TYPE LOW
 11.002  9500         500mVpp                      1kH            SQ    S  L
 11.003  IEEE2        ACQ:STATE RUN
 11.004  IEEE         MEASU:IMM:VALUE?[I]
 11.005  MATH         Ampl = FMT(MEM, "%4.2f")
 11.006  MEM2         = Low <= 0.25 V
 11.007  EVAL   -e MEM <= 0.25 : [MEM2]

 12.001  9500         *                                                 S
 12.002  DISP         Disconnect cable from UUT AUX TRIG OUT to CH 2.

 12.003  IF           0
 12.004  RSLT         =
 12.005  HEAD         {SIGNAL OUTPUT}
 12.006  TARGET
 12.007  DISP         Move the connection at UUT from AUX OUT to SIGNAL OUT.
 12.008  IEEE2        CH2:VOLTS 50E-3;POSITION 3
 12.009  9500         500mVpp                      1kH            SQ    S  L
 12.010  IEEE2        ACQ:STOPAFTER RUNSTOP;STATE RUN
 12.011  IEEE2        TRIG:A SETLEVEL
 12.012  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
 12.013  IEEE2        MEASU:IMM:TYPE PK2PK
 12.014  IEEE         VALUE?[I]
 12.015  MATH         L[1] = (MEM >= 40E-3) && (MEM <= 60E-3)
 12.016  MATH         Ampl = FMT((MEM / 1E-3), "%4.1f")
 12.017  MEM2         = Amplitude [V Ampl] mVpp: Limits: 40 to 60
 12.018  EVAL   -e L[1] : [MEM2]

 13.001  9500         *                                                 S
 13.002  IEEE2        ACQ:STATE RUN
 13.003  IEEE2        MEASU:IMM:TYPE LOW
 13.004  IEEE         VALUE?[I]
 13.005  MATH         L[1] = (MEM >= -170E-3) + (MEM <= -100E-3)
 13.006  MATH         Ampl = FMT((MEM / 1E-3), "%4.1f")
 13.007  MEM2         = Offset [V Ampl] mV: Limits: -170 to -100
 13.008  EVAL   -e L[1] : [MEM2]

 14.001  9500         *                                                 S
 14.002  DISP         Disconnect cable from UUT SIGNAL OUTPUT to CH [V @Chan].
 14.003  ENDIF

 14.004  LABEL        END
 14.005  M9500        *
 14.006  9500         *                                                 S
 14.007  HEAD
 14.008  HEAD         -2
 14.009  END
