﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C Self-Test IEEE
DATE:                  2009-10-07 16:00:23
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       134
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         SELF-TEST
  1.002  RSLT         =
  1.003  TARGET

  1.004  DO
  1.005  IEEE2        *RST;HEADER OFF
# Inform technician of what to expect during self-test
  1.006  DISP         Disconnect any input signals from all four channels.
  1.007  DISP         During the self-test, the UUT display will flash
  1.007  DISP         and display multiple-line patterns at times. This
  1.007  DISP         is normal behavior.
  1.007  DISP
  1.007  DISP         The duration of the self-test is approximately
  1.007  DISP         2.5 minutes.

# Setup conditions which will set the ESB bit in the status byte:
#     Power On (PON)                        128 (set when Self-test completes)
#     Command Error (CME)                    32
#     Execution Error (EXE)                  16
#     Device Dependent Error (DDE)            8
#     Query Error (QYE)                       4
#                                           ---
#     Event Status Enable Register (ESE)    188
#
# Send commands to start the self-test
  1.008  IEEE         *SRE 0;*ESE 188;DIA:SELECT:ALL ALL;:DIA:EXECUTE
  1.009  MATH         L[1] = 0; @Abort = 0; Repeat = 0; L[2] = 2.5 * 60 + 30

  1.010  DO
  1.011  MATH         MEM2 = FTIME(L[1])
  1.012  HEAD         PERFORMING SELF-TEST ([MEM2] has elapsed)
  1.013  IEEE         [SPL 96]
  1.014  WAIT         [D1000]
  1.015  MATH         L[1] = L[1] + 1; Timeout = (L[1] > L[2])
  1.016  UNTIL        BIT(5, MEM) || Timeout

  1.017  IF           Timeout
  1.018  MATH         Elapsed = FTIME(L[1])
  1.019  OPBR         -s [V Elapsed] has elapsed and no indication of self
  1.019  OPBR         completion has been detected.
  1.019  OPBR
  1.019  OPBR         Do you wish to continue?
  1.020  MATH         @Abort = NOT(MEM1)
  1.021  ENDIF

  1.022  IF           @Abort
  1.023  END
  1.024  ENDIF

# Get Extended Status Register (ESR) value.
  1.025  IEEE         *ESR?[I]
# Check for any errors (CME, EXE, DDE, and QYE).
  1.026  IF           BIT(2, MEM) || BIT(3, MEM) || BIT(4, MEM) || BIT(5, MEM)

  1.027  DO
  1.028  IEEE         EVMSG?[I$]
  1.029  MATH         MsgNum = MEM2

# Ignore message number 590,"Diagnostic warning, running GPIB diagnostic over
# GPIB may effect talk/listen program", self test completed.
  1.030  IF           (MsgNum > 0) && (MsgNum != 590)
# Set flag to indicate an error occurred.
  1.031  MATH         @Abort = 1
  1.032  DISP         [MEM2]
  1.033  ENDIF

# If no more messages in queue, continue.
  1.034  UNTIL        MsgNum == 0

  1.035  IEEE         DIA:STOP

  1.036  IF           @Abort
  1.037  OPBR         -z Do you wish to execute self-test again?
  1.038  MATH         Repeat = MEM1
  1.039  ENDIF

  1.040  ENDIF        ; CME, EXE, DDE, or QYE

  1.041  UNTIL        NOT(Repeat)

  1.042  HEAD         SELF-TEST COMPLETE
# Return result of diagnostics
  1.043  IEEE         DIA:RESULTS?[I$]
  1.044  EVAL   -e FIND(MEM2, "Pass", 1) : SELF TEST

  2.001  END
