﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C Set Leveled Sine IEEE /9500
DATE:                  2009-06-25 12:58:31
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       123
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DO
# AmplVpp holds target amplitude in volts as measured by the scope.
  1.002  MATH         AmplVpp = @TargetAmplVpp; L[1] = 0; @Abort = 0
  1.003  IEEE         ACQ:STOPAFTER SEQUENCE
  1.004  MATH         FreqHz = BASE(@Freq)

  1.005  DO

  1.006  IF           FreqHz == 3E+9
  1.007  MATH         AmplitudeExceeded = (AmplVpp > 2.224)
  1.008  ELSEIF       FreqHz == 1.5E+9
  1.009  MATH         AmplitudeExceeded = (AmplVpp > 3.336)
  1.010  ELSEIF       (FreqHz == 50E+6) || (FreqHz == 500E+6)
  1.011  MATH         AmplitudeExceeded = (AmplVpp > 5.560)
  1.012  ELSE
  1.013  DISP         Sub Tek TDS6000B Set Leveled Sine IEEE /9500
  1.013  DISP
  1.013  DISP         @Freq must be one of the following:
  1.013  DISP         [32]  50 MHz
  1.013  DISP         [32] 500 MHz
  1.013  DISP         [32] 1.5 GHz
  1.013  DISP         [32] 3.0 GHz
  1.014  MATH         @Abort = 1
  1.015  END
  1.016  ENDIF

  1.017  IF           AmplitudeExceeded
  1.018  HEAD         AMPLITUDE EXCEEDED
  1.019  DISP         9500 cannot source [V AmplVpp] Vpp!
  1.020  MATH         @Abort = 1
  1.021  END
  1.022  ENDIF

  1.023  MATH         MEM = AmplVpp

  1.024  IF           FreqHz == 50E+6
  1.025  9500         Vpp                          50MH           LS    S  L
  1.026  ELSEIF       FreqHz == 500E+6
  1.027  9500         Vpp                          500MH          LS    S  L
  1.028  ELSEIF       FreqHz == 1.5E+9
  1.029  9500         Vpp                          1.5GH          LS    S  L
  1.030  ELSEIF       FreqHz == 3.0E+9
  1.031  9500         Vpp                          3.0GH          LS    S  L
  1.032  ENDIF

  1.033  DO
  1.034  IEEE         ACQ:STATE RUN;:MEASU:IMM:VAL?[I$]
  1.035  HEAD         -2 Channel [V @Chan], [MEM2] Vpp
  1.036  UNTIL        NOT(ZCMP(MEM2, "99.0000E+36"))

  1.037  MATH         MEM = MEM2
  1.038  HEAD         -2 Channel [V @Chan], [MEM] Vpp
  1.039  MATH         Delta = (@TargetAmplVpp - MEM)

  1.040  IF           ABS(Delta) >= 0.003
  1.041  MATH         AmplVpp = (Delta / 2) + MEM1
  1.042  MATH         L[1] = L[1] + 1
  1.043  ENDIF

# We will try 25 times to achieve the desired amplitude on the scope.
  1.044  UNTIL        (ABS(Delta) < 0.003) || (L[1] > 25)

  1.045  IF           L[1] > 25
  1.046  OPBR         Tried 25 times to set amplitude to
  1.046  OPBR         [V @TargetAmplVpp] +/-0.003 V.
  1.046  OPBR
  1.046  OPBR         Do you wish to try again?
  1.047  MATH         @Abort = NOT(MEM1)
  1.048  ENDIF

  1.049  UNTIL        (ABS(M[2]) < 0.003) || @Abort

  1.050  END
