﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500
INSTRUMENT:            Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500
DATE:                  2009-10-08 12:38:27
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       148
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDSxxx Channel Selection
#        Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
#        Sub TDS6604B (1 yr) Channel Isolation Tests IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH5
  1.003  9500         4GH                          1Vpp           LS    S  L
  1.004  ENDIF

  1.005  JMPL         ANALOG_BANDWIDTH             PSUBI("Bandwidth")
  1.006  JMPL         CHANNEL_ISOLATION            PSUBI("Channel Isolation")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500  ======================

  2.001  LABEL        ANALOG_BANDWIDTH
  2.002  HEAD         ANALOG BANDWIDTH
  2.003  RSLT         =
  2.004  HEAD         -2 {Channel [V @Chan]}
  2.005  TARGET       -p
  2.006  IEEE2        *RST;HEADER OFF
  2.007  CALL         Sub TDSxxx Channel Selection
  2.008  IEEE2        SELECT:CH1 [V @Ch1]
  2.009  IEEE2        SELECT:CH2 [V @Ch2]
  2.010  IEEE2        SELECT:CH3 [V @Ch3]
  2.011  IEEE2        SELECT:CH4 [V @Ch4]
  2.012  IEEE2        ACQ:NUMAVG 16
  2.013  IEEE2        MEASU:METHOD MINMAX
  2.014  IEEE2        MEASU:IMM:TYPE PK2PK;SOURCE CH[V @Chan]

  2.015  MATH         @VertScale = "10 mV/div"
  2.016  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.017  JMPL         END                          @Abort

  2.018  MATH         @VertScale = "20 mV/div"
  2.019  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.020  JMPL         END                          @Abort

  2.021  MATH         @VertScale = "50 mV/div"
  2.022  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.023  JMPL         END                          @Abort

  2.024  MATH         @VertScale = "100 mV/div"
  2.025  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.026  JMPL         END                          @Abort

  2.027  MATH         @VertScale = "200 mV/div"
  2.028  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.029  JMPL         END                          @Abort

  2.030  MATH         @VertScale = "500 mV/div"
  2.031  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
  2.032  JMPL         END                          @Abort

  2.033  MATH         @VertScale = "1 V/div"
  2.034  CALL         Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500

  2.035  LABEL        END
  2.036  9500         *                                                 S
  2.037  HEAD         -2
  2.038  HEAD
  2.039  END

  2.040  EVAL   Increment step number

# =====  Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500  ===============

  3.001  LABEL        CHANNEL_ISOLATION
  3.002  RSLT         =
  3.003  HEAD         CHANNEL ISOLATION
  3.004  TARGET
  3.005  IEEE2        *RST;HEADER OFF
  3.006  CALL         Sub TDSxxx Channel Selection
  3.007  IEEE2        SELECT:CH1 [V @Ch1]
  3.008  IEEE2        SELECT:CH2 [V @Ch2]
  3.009  IEEE2        SELECT:CH3 [V @Ch3]
  3.010  IEEE2        SELECT:CH4 [V @Ch4]
  3.011  IEEE2        TRIG:A:EDGE:SOURCE CH[V @Chan]
  3.012  IEEE2        ACQ:MODE AVERAGE;NUMAVG 16;REPET ON
  3.013  IEEE2        MEASU:IMMED:TYPE AMPLITUDE

  3.014  MATH         @FreqGHz = 1.5
  3.015  IEEE2        HORIZONTAL:MAIN:SCALE 1.25E-9
  3.016  CALL         Sub TDS6604B (1 yr) Channel Isolation Tests IEEE /9500

  3.017  IF           @Abort
  3.018  END
  3.019  ENDIF

  3.020  MATH         @FreqGHz = 4.0
  3.021  IEEE2        HORIZONTAL:MAIN:SCALE 500E-12
  3.022  CALL         Sub TDS6604B (1 yr) Channel Isolation Tests IEEE /9500

  3.023  END
