﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6604B (1 yr) Bandwidth Test IEEE /9500
INSTRUMENT:            Sub TDS6604B (1 yr) Crosstalk Test IEEE /9500
DATE:                  2009-10-08 12:47:54
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       170
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS6000B/C Check for Trigger IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Use CH 5 9560 Active Head.
  1.001  M9500                       CH5

  1.002  JMPL         ANALOG_BANDWIDTH             PSUBI("Bandwidth")
  1.003  JMPL         CROSSTALK                    PSUBI("Crosstalk")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub TDS6604B (1 yr) Bandwidth IEEE /9500  ==========================

  2.001  LABEL        ANALOG_BANDWIDTH
  2.002  HEAD         ANALOG BANDWIDTH: [V @VertScale]
  2.003  MATH         L[1] = BASE(@VertScale); AmplVpp = L[1] * 6

# 9500 maximum is 2.224 Vpp  > 2.5GHz.
  2.004  IF           AmplVpp > 2.2
  2.005  MATH         AmplVpp = 2.2
  2.006  ENDIF

  2.007  TARGET

  2.008  DO

  2.009  DO
  2.010  IEEE2        CH[V @Chan]:VOLTS [L1]
  2.011  IEEE2        HOR:MAIN:SCALE 200E-9
  2.012  IEEE2        TRIG:A:EDGE:SOURCE CH[V @Chan]
  2.012  IEEE2        ACQ:MODE AVERAGE;STOPAFTER RUNSTOP;STATE RUN
  2.013  MATH         MEM = AmplVpp
  2.014  9500         Vpp                          10MH           LS    S  L
  2.015  WAIT         -t 2 "Settling..."
  2.016  IEEE2        TRIG:A SETLEVEL
  2.017  CALL         Sub TDS6000B/C Check for Trigger IEEE
  2.018  UNTIL        @Triggered || @Abort

  2.019  JMPL         END                          @Abort
  2.020  IEEE2        ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN
  2.021  IEEE         MEASU:IMM:VAL?[I]
  2.022  UNTIL        MEM != 9.9e+37

  2.023  MATH         Ref10MHz = MEM * (SQRT(2) / 2.0)

  2.024  DO

  2.025  DO
  2.026  IEEE2        HOR:MAIN:SCALE 1E-9
  2.027  IEEE2        TRIG:A:EDGE:SOURCE LINE
  2.028  IEEE2        ACQ:MODE SAMPLE;STOPAFTER RUNSTOP;STATE RUN
  2.029  MATH         MEM = @BW_GHz

  2.030  IF           AmplVpp == 0.06
  2.031  9500         60mVpp                       GH             LS    S  L
  2.032  ELSEIF       AmplVpp == 0.12
  2.033  9500         120mVpp                      GH             LS    S  L
  2.034  ELSEIF       AmplVpp == 0.3
  2.035  9500         300mVpp                      GH             LS    S  L
  2.036  ELSEIF       AmplVpp == 0.6
  2.037  9500         600mVpp                      GH             LS    S  L
  2.038  ELSEIF       AmplVpp == 1.2
  2.039  9500         1.2Vpp                       GH             LS    S  L
  2.040  ELSE
  2.041  9500         2.2Vpp                       GH             LS    S  L
  2.042  ENDIF

  2.043  WAIT         -t 2 "Settling..."
  2.044  CALL         Sub TDS6000B/C Check for Trigger IEEE
  2.045  UNTIL        @Triggered || @Abort

  2.046  JMPL         END                          @Abort
  2.047  IEEE2        ACQ:STATE STOP;STOPAFTER SEQUENCE;STATE RUN
  2.048  IEEE         MEASU:IMM:VAL?[I]
  2.049  UNTIL        MEM != 9.9e+37

  2.050  MATH         BW_Result = MEM * (SQRT(2) / 2.0)
  2.051  MATH         BW_Result = FMT(20 * LOG(BW_Result / Ref10MHz), "%3.1f")
  2.052  MEM2         = [V BW_Result] dB @ [V @BW_GHz] GHz

  2.053  EVAL   -e MEM >= Ref10MHz : [32][V @VertScale]: [MEM2]

  3.001  END

  3.002  EVAL   Increment step number

# =====  Sub TDS6604B (1 yr) Crosstalk Test IEEE /9500  =====================

  4.001  LABEL        CROSSTALK
  4.002  HEAD         CROSSTALK
  4.003  RSLT         =
  4.004  MEM2         =CH [V @Chan] to [V @TestChan]:
  4.005  MEM2         =[MEM2] [V @FreqGHz] GHz, [V @VertScale]
  4.006  HEAD         -2 {[MEM2]}
  4.007  TARGET       -p
  4.008  IEEE2        SELECT:CH[V @TestChan] ON
  4.009  IEEE2        MEASU:IMMED:TYPE AMPLITUDE;SOURCE CH[V @TestChan]
  4.010  MATH         MEM = BASE(@VertScale) * 10

  4.011  IF           @FreqGHz == 1.5
  4.012  9500         Vpp                          1.5GH          LS    S  L
  4.013  MATH         Limit = 0.125
  4.014  ELSE
  4.015  9500         Vpp                          4GH            LS    S  L
  4.016  MATH         Limit = 0.5
  4.017  ENDIF

  4.018  TARGET       -m
  4.019  IEEE2        ACQUIRE:STATE RUN
  4.020  IEEE         MEASU:IMM:VAL?[I]
# Convert voltage amplitude to divisions.
  4.021  MATH         divs = FMT((MEM / BASE(@VertScale)), "%5.3f")
  4.022  MEM2         = [V divs] div, Limit: <= [V Limit] div
  4.023  EVAL   -e MEM <= Limit : [MEM2]

  5.001  IEEE2        SELECT:CH[V @TestChan] OFF

  5.002  LABEL        END
  5.003  9500         *                                                 S
  5.004  END
