﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 6604B: (1 year) VER IEEE /9500,LFCTR
DATE:                  2017-04-10 09:12:30
AUTHOR:                Fluke
REVISION:              $Revision: 19197 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       535
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Datron 9530 on channel 2
CONFIGURATION:         Datron 9530 on channel 3
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Fluke 9560 on channel 5
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Tektronix TDS6000B & TDS6000C Digital Storage Oscilloscopes
#        Specifications and Performance Verification 071-1659-03
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        3 ea. TCA-BNC Adapter, Tektronix Part No. 071-0822-02
#        1 ea. TCA-SMA Adapter, Tektronix Part No. ???
#        3 ea. Termination, 50 Ohm, Tektronix Part No. 011-0049-01 or
#              equivalent
#        5 ea. Adapter, Right Angle, SMA (f)-(m), Pomona
#              Model No. 4282 or equivalent
#        4 ea. Adapter, SMA (m) to BNC (f), Pomona Model
#              No. 4290 or equivalent
#        2 ea. Tee, SMA, (f)-(m)-(f)
#        2 ea. Cable assy., 20", SMA (m)-(m), Tektronix
#              Part No. 174-1427-00 or equivalent
#        2 ea. Shorting Cap, SMA (m), Pomona Model No. 5088
#        2 ea. Adapter, SMA (f)-(f), Pomona Model No. 4285
#        1 ea. Attenuator, 6 dB,  SMA (f)-(m)
#        1 ea. Attenuator, 20 dB, SMA (f)-(m)
#        1 ea. Cable assy., 36", BNC (m)-(m)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1Vpp                         3GH            LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1Vpp                         3GH            LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1Vpp                         3GH            LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1Vpp                         3GH            LS    S  L
  1.010  M9500                       CH5
  1.011  9500         6GH                          100mV          LS    S  L
  1.012  IEEE         [@LFCTR]
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                                     V

  1.015  MATH         @ReqMetCalVersion = "7.20x"
  1.016  CALL         Sub MET/CAL Version Check

  1.017  IF           NOT(@MetCalVersionOK)
  1.018  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or later.
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub Display Copyright
  1.022  CALL         Sub High Voltage Safety Warning
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub Select Guardbanding & Ver Method

  1.025  HEAD         PRELIMINARY INSTRUCTIONS
  1.026  DISP         Ensure a UUT warm-up time of 20 minutes has been
  1.026  DISP         allowed to elapse, prior to proceeding.

  1.027  CALL         Sub Initialize /LFCTR

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  MATH         @Abort = 0
  1.030  OPBR         -z Do you want to review the list of flexible standards,
  1.030  OPBR         additional equipment and/or accessories required?

  1.031  IF           MEM1
  1.032  HEAD         -2 FLEXIBLE STANDARD: LF Counter (LFCTR)
  1.033  MATH         LF = @LFCTR_Ch1
  1.034  OPBR         -z Minimum use specifications of the following device,
  1.034  OPBR         configured as flexible standards, must be satisfied.
  1.034  OPBR
  1.034  OPBR         [32]NOMENCLATURE   ALIAS   DEVICE NAME
  1.034  OPBR
  1.034  OPBR         [32]LF Counter     LFCTR   [V @LFCTR_DevName] [V LF]
  1.034  OPBR
  1.034  OPBR         Minimum Use Specifications:
  1.034  OPBR         [32] 25 MHz, 1 s gate
  1.034  OPBR
  1.034  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.034  OPBR         Use Specifications?

  1.035  IF           MEM1
  1.036  DISP         The following additional equipment and/or
  1.036  DISP         accessories are required:
  1.036  DISP
  1.036  DISP         - 3 ea., TCA-BNC Adapter, Tektronix Part No. 071-0822-02
  1.036  DISP         - 1 ea., TCA-SMA Adapter, Tektronix Part No. ???
  1.036  DISP         - 3 ea., Termination, 50 Ohm, Tektronix Part No.
  1.036  DISP         [32]         011-0049-01 or equivalent
  1.036  DISP         - 5 ea., Adapter, Right Angle, SMA (f)-(m), Pomona
  1.036  DISP         [32]        Model No. 4282 or equivalent
  1.036  DISP         - 4 ea., Adapter, SMA (m) to BNC (f), Pomona Model
  1.036  DISP         [32]        No. 4290 or equivalent
  1.036  DISP         - 2 ea., Tee, SMA (f)-(m)-(f)
  1.036  DISP         - 2 ea., Cable assy., 20", SMA (m)-(m), Tektronix
  1.036  DISP         [32]        Part No. 174-1427-00 or equivalent
  1.036  DISP         - 2 ea., Shorting Cap, SMA (m), Pomona Model No. 5088
  1.036  DISP         - 2 ea., Adapter, SMA (f)-(f), Pomona Model No. 4285
  1.036  DISP         - 1 ea., Attenuator, 6 dB,  SMA (f)-(m)
  1.036  DISP         - 1 ea., Attenuator, 20 dB, SMA (f)-(m)
  1.036  DISP         - 1 ea., Cable assy., 36", BNC (m)-(m)
  1.037  ELSE
  1.038  DISP         Configured [V @LFCTR_DevName] (LF Counter) LFCTR does
  1.038  DISP         not satisfy the Minimum Use Specifications.
  1.039  MATH         @Abort = 1
  1.040  ENDIF

  1.041  ENDIF

  1.042  JMPL         END                          @Abort

  1.043  CALL         Sub UUT Connection GPIB
  1.044  CALL         Sub IEEE-488.2 Identification Query IEEE FSC
  1.045  MATH         Model = "TDS6604B"; @BW_GHz = 6

  1.046  IF           NOT(ZCMPI(@ModelNum, Model))
  1.047  DISP         UUT is a [V @ModelNum], not a Tektronix [V Model].
  1.048  END
  1.049  ENDIF

  1.050  IEEE         *RST;HEADER OFF
  1.051  OPBR         -z Do you wish to perform UUT Self Tests?

  1.052  IF           MEM1
  1.053  CALL         Sub TDS6000B/C Self-Test IEEE
  1.054  ELSE
  1.055  RSLT         =
  1.056  RSLT         =SELF TEST: Not performed
  1.057  ENDIF

  1.058  JMPL         END                          @Abort

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.059  OPBR         -z Do you wish to perform UUT Signal Path Compensation
  1.059  OPBR         Calibration?
  1.060  JMPL         SIGNAL_PATH_COMP_CAL         MEM1
  1.061  RSLT         =
  1.062  RSLT         =SIGNAL PATH COMPENSATION: Not performed

  1.063  LABEL        CONNECTION_WARNING
  1.064  HEAD         PLEASE NOTE!
  1.065  DISP         Throughout this procedure, many connections are made
  1.065  DISP         to the UUT via BNC(f) to SMA(m) adapters. Due to the
  1.065  DISP         nature of these adapters, EXTREME CAUTION should be
  1.065  DISP         exercised in order to avoid exerting excessive torque
  1.065  DISP         or crossthreading during interconnection. In lieu of
  1.065  DISP         using the BNC(f) to SMA(m) adapters, the Tektronix
  1.065  DISP         TekConnect® TCA-BNC input modules may be used, where
  1.065  DISP         appropriate.

  1.066  HEAD         TEST CONNECTIONS
  1.067  DISP         Insert TCA-BNC Adapters in UUT CH 1, 2, 3, & 4 input
  1.067  DISP         receptacles.
  1.067  DISP
  1.067  DISP         Connect CH 1 9530 Active Head to UUT CH 1 Adapter.
  1.067  DISP         Connect CH 2 9530 Active Head to UUT CH 2 Adapter.
  1.067  DISP         Connect CH 3 9530 Active Head to UUT CH 3 Adapter.
  1.067  DISP         Connect CH 4 9530 Active Head to UUT CH 4 Adapter.
  1.068  DISP         The next connection change occurs in
  1.068  DISP         approximately 15 minutes.

  1.069  RSLT         =
  1.070  HEAD         {DC VOLTAGE MEASUREMENT}
  1.071  TARGET
  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub TDS6000B (1 yr) DCV Meas VER IEEE /9500
  1.075  MATH         @Chan = 2
  1.076  M9500                       CH2
  1.077  CALL         Sub TDS6000B (1 yr) DCV Meas VER IEEE /9500
  1.078  MATH         @Chan = 3
  1.079  M9500                       CH3
  1.080  CALL         Sub TDS6000B (1 yr) DCV Meas VER IEEE /9500
  1.081  MATH         @Chan = 4
  1.082  M9500                       CH4
  1.083  CALL         Sub TDS6000B (1 yr) DCV Meas VER IEEE /9500

  1.084  RSLT         =
  1.085  HEAD         {DC GAIN}
  1.086  TARGET
  1.087  MATH         @Chan = 1
  1.088  M9500                       CH1
  1.089  CALL         Sub TDS6000B (1 yr) DC Gain VER IEEE /9500
  1.090  MATH         @Chan = 2
  1.091  M9500                       CH2
  1.092  CALL         Sub TDS6000B (1 yr) DC Gain VER IEEE /9500
  1.093  MATH         @Chan = 3
  1.094  M9500                       CH3
  1.095  CALL         Sub TDS6000B (1 yr) DC Gain VER IEEE /9500
  1.096  MATH         @Chan = 4
  1.097  M9500                       CH4
  1.098  CALL         Sub TDS6000B (1 yr) DC Gain VER IEEE /9500

  1.099  RSLT         =
  1.100  HEAD         {OFFSET}
  1.101  MATH         @Chan = 1
  1.102  M9500                       CH1
  1.103  CALL         Sub TDS6000B (1 yr) Offset VER IEEE /9500
  1.104  MATH         @Chan = 2
  1.105  M9500                       CH2
  1.106  CALL         Sub TDS6000B (1 yr) Offset VER IEEE /9500
  1.107  MATH         @Chan = 3
  1.108  M9500                       CH3
  1.109  CALL         Sub TDS6000B (1 yr) Offset VER IEEE /9500
  1.110  MATH         @Chan = 4
  1.111  M9500                       CH4
  1.112  CALL         Sub TDS6000B (1 yr) Offset VER IEEE /9500

  1.113  RSLT         =
  1.114  HEAD         {MAXIMUM INPUT VOLTAGE}
  1.115  TARGET
  1.116  MATH         @Chan = 1
  1.117  M9500                       CH1
  1.118  CALL         Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500
  1.119  MATH         @Chan = 2
  1.120  M9500                       CH2
  1.121  CALL         Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500
  1.122  MATH         @Chan = 3
  1.123  M9500                       CH3
  1.124  CALL         Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500
  1.125  MATH         @Chan = 4
  1.126  M9500                       CH4
  1.127  CALL         Sub TDS6000B/C (1 yr) Max Input Voltage VER IEEE /9500
  1.128  DISP         Using a blunt instrument, acknowledge and clear
  1.128  DISP         the input overload prompts that appear on the
  1.128  DISP         UUT screen.
  1.129  JMPL         DELAY_MATCH

  1.130  LABEL        ANALOG_BANDWIDTH
  1.131  RSLT         =
  1.132  HEAD         {ANALOG BANDWIDTH}
  1.133  TARGET
  1.134  DISP         Disconnect 9530 Active Heads from UUT CH 1, 2, 3, & 4.
  1.134  DISP
  1.134  DISP         Remove TCA-BNC Adapter from UUT CH 1.
  1.134  DISP
  1.134  DISP         Connect TCA-SMA Adapter to UUT CH 1.
  1.134  DISP
  1.134  DISP         Connect CH 5 9560 Active Head to UUT CH 1 Adapter.
  1.134  DISP
  1.134  DISP         Connect 50 Ohm Termination to CH 2, 3, & 4 TCA-BNC
  1.134  DISP         Adapters.
  1.135  MATH         @Chan = 1
  1.136  CALL         Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500
  1.137  JMPL         END                          @Abort
  1.138  JMPL         CHANNEL_ISOLATION

  1.139  LABEL        CH2_ANALOG_BANDWIDTH
  1.140  DISP         Remove TCA-BNC Adapter with termination from UUT CH 2.
  1.140  DISP
  1.140  DISP         Leaving CH 5 9560 Active Head connected to the TCA-SMA
  1.140  DISP         Adapter, move the Active Head/Adapter combination to
  1.140  DISP         UUT CH 2.
  1.140  DISP
  1.140  DISP         Insert TCA-BNC Adapter with 50 Ohm Termination in UUT
  1.140  DISP         CH 1 input receptacle.
  1.141  MATH         @Chan = 2
  1.142  CALL         Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500
  1.143  JMPL         END                          @Abort
  1.144  JMPL         CH2_CHANNEL_ISOLATION

  1.145  LABEL        CH3_ANALOG_BANDWIDTH
  1.146  DISP         Remove TCA-BNC Adapter with termination from UUT CH 3.
  1.146  DISP
  1.146  DISP         Leaving CH 5 9560 Active Head connected to the TCA-SMA
  1.146  DISP         Adapter, move the Active Head/Adapter combination to
  1.146  DISP         UUT CH 3.
  1.146  DISP
  1.146  DISP         Insert TCA-BNC Adapter with 50 Ohm Termination in UUT
  1.146  DISP         CH 2 input receptacle.
  1.147  MATH         @Chan = 3
  1.148  CALL         Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500
  1.149  JMPL         END                          @Abort
  1.150  JMPL         CH3_CHANNEL_ISOLATION

  1.151  LABEL        CH4_ANALOG_BANDWIDTH
  1.152  DISP         Remove TCA-BNC Adapter with termination from UUT CH 4.
  1.152  DISP
  1.152  DISP         Leaving CH 5 9560 Active Head connected to the TCA-SMA
  1.152  DISP         Adapter, move the Active Head/Adapter combination to
  1.152  DISP         UUT CH 4.
  1.152  DISP
  1.152  DISP         Insert TCA-BNC Adapter with 50 Ohm Termination in UUT
  1.152  DISP         CH 3 input receptacle.
  1.153  MATH         @Chan = 4
  1.154  CALL         Sub TDS6604B (1 yr) Bandwidth VER IEEE /9500
  1.155  JMPL         END                          @Abort
  1.156  JMPL         CH4_CHANNEL_ISOLATION

  1.157  LABEL        DELAY_MATCH
  1.158  CALL         Sub TDS6000B (1 yr) Delay Match VER IEEE /9500
  1.159  JMPL         END                          @Abort
  1.160  JMPL         INPUT_IMPEDANCE

  1.161  LABEL        CHANNEL_ISOLATION
  1.162  RSLT         =
  1.163  HEAD         {CHANNEL ISOLATION (CROSSTALK)}
  1.164  TARGET
 # @Chan is the reference channel.  M[1], M[2], & M[3] are the test channels.
  1.165  MATH         @Chan = 1; M[1] = 2; M[2] = 3; M[3] = 4
  1.166  CALL         Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500
  1.167  JMPL         END                          @Abort
  1.168  JMPL         CH2_ANALOG_BANDWIDTH

  1.169  LABEL        CH2_CHANNEL_ISOLATION
  1.170  MATH         @Chan = 2; M[1] = 1; M[2] = 3; M[3] = 4
  1.171  CALL         Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500
  1.172  JMPL         END                          @Abort
  1.173  JMPL         CH3_ANALOG_BANDWIDTH

  1.174  LABEL        CH3_CHANNEL_ISOLATION
  1.175  MATH         @Chan = 3; M[1] = 1; M[2] = 2; M[3] = 4
  1.176  CALL         Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500
  1.177  JMPL         END                          @Abort
  1.178  JMPL         CH4_ANALOG_BANDWIDTH

  1.179  LABEL        CH4_CHANNEL_ISOLATION
  1.180  MATH         @Chan = 4; M[1] = 1; M[2] = 2; M[3] = 3
  1.181  CALL         Sub TDS6604B (1 yr) Channel Isolation VER IEEE /9500
  1.182  JMPL         END                          @Abort
  1.183  DISP         Disconnect CH 5 9560 Active Head and TCA-SMA Adapter
  1.183  DISP         from CH 4 input.
  1.183  DISP
  1.183  DISP         Install TCA-BNC Adapter in CH 4 input.
  1.183  DISP
  1.183  DISP         Disconnect 50 Ohm Termination from CH 1, 2, & 3 TCA-BNC
  1.183  DISP         Adapters.
  1.184  JMPL         PULSE_TRIGGER

  1.185  LABEL        INPUT_IMPEDANCE
  1.186  RSLT         =
  1.187  HEAD         {INPUT IMPEDANCE}
  1.188  TARGET
  1.189  MATH         @Chan = 1
  1.190  M9500                       CH1
  1.191  CALL         Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500
  1.192  MATH         @Chan = 2
  1.193  M9500                       CH2
  1.194  CALL         Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500
  1.195  MATH         @Chan = 3
  1.196  M9500                       CH3
  1.197  CALL         Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500
  1.198  MATH         @Chan = 4
  1.199  M9500                       CH4
  1.200  CALL         Sub TDS6000B/C (1 yr) Input Impedance VER IEEE /9500
  1.201  JMPL         TRIGGER_SENSITIVITY

  1.202  LABEL        REF_OUT
  1.203  CALL         Sub TDS6000B/C (1 yr) Ref Out VER IEEE /LFCTR
  1.204  JMPL         END                          @Abort
  1.205  JMPL         PROBE_COMP_OUTPUT

  1.206  LABEL        SIGNAL_PATH_COMP_CAL
  1.207  CALL         Sub TDS6000B/C Sig Path Comp Cal IEEE /9500
  1.208  JMPL         END                          @Abort
  1.209  JMPL         CONNECTION_WARNING

  1.210  LABEL        DELTA_TIME
  1.211  RSLT         =
  1.212  HEAD         {DELTA_TIME}
  1.213  TARGET

  1.214  DO
  1.215  PIC          tds6000_delta_time_9560.jpg
  1.216  OPBR         -z In the DELTA TIME connections just completed,
  1.216  OPBR         20" cables MUST be used to achieve the proper
  1.216  OPBR         test results.
  1.216  OPBR
  1.216  OPBR         Were the specified cables used?
  1.217  UNTIL        MEM1

  1.218  MATH         @Chan = 1
  1.219  CALL         Sub TDS6000B (1 yr) Delta Time VER IEEE /9500
  1.220  JMPL         END                          @Abort

  1.221  DISP         Leaving CH 5 Active Head connected to the input module,
  1.221  DISP         disconnect the assembly from the UUT.
  1.221  DISP
  1.221  DISP         Move CH 2 input module to UUT CH 1.
  1.221  DISP
  1.221  DISP         Insert CH 5 Active Head and input module into UUT CH 2.
  1.222  MATH         @Chan = 2
  1.223  CALL         Sub TDS6000B (1 yr) Delta Time VER IEEE /9500
  1.224  JMPL         END                          @Abort

  1.225  DISP         Leaving CH 5 Active Head connected to the input module,
  1.225  DISP         disconnect the assembly from the UUT.
  1.225  DISP
  1.225  DISP         Move CH 3 input module to UUT CH 2.
  1.225  DISP
  1.225  DISP         Insert CH 5 Active Head and input module into UUT CH 3.
  1.226  MATH         @Chan = 3
  1.227  CALL         Sub TDS6000B (1 yr) Delta Time VER IEEE /9500
  1.228  JMPL         END                          @Abort

  1.229  DISP         Leaving CH 5 Active Head connected to the input module,
  1.229  DISP         disconnect the assembly from the UUT.
  1.229  DISP
  1.229  DISP         Move CH 4 input module to UUT CH 3.
  1.229  DISP
  1.229  DISP         Insert CH 5 Active Head and input module into UUT CH 4.
  1.230  MATH         @Chan = 4
  1.231  CALL         Sub TDS6000B (1 yr) Delta Time VER IEEE /9500
  1.232  JMPL         END                          @Abort
  1.233  JMPL         ANALOG_BANDWIDTH

  1.234  LABEL        PULSE_TRIGGER
  1.235  CALL         Sub TDS6000B/C (1 yr) Pulse Trigger VER IEEE /9500
  1.236  JMPL         END                          @Abort
  1.237  JMPL         REF_OUT

  1.238  LABEL        TRIGGER_SENSITIVITY
  1.239  RSLT         =
  1.240  HEAD         {TRIGGER SENSITIVITY}
  1.241  TARGET
  1.242  DISP         Disconnect CH 4 Active Head from UUT CH 4 TCA-BNC
  1.242  DISP         Adapter.
  1.242  DISP
  1.242  DISP         Connect CH 4 Active Head to UUT AUX IN (on rear)
  1.242  DISP         using a 50 Ohm feedthrough termination.
  1.243  MATH         @Chan = 1
  1.244  M9500                       CH1
  1.245  CALL         Sub TDS6000B (1 yr) Trig Sensitivity VER IEEE /9500
  1.246  JMPL         END                          @Abort

  1.247  OPBR         -z Do you wish to check trigger sensitivity using
  1.247  OPBR         UUT input channel 2?

  1.248  IF           MEM1
  1.249  MATH         @Chan = 2
  1.250  M9500                       CH2
  1.251  CALL         Sub TDS6000B (1 yr) Trig Sensitivity VER IEEE /9500
  1.252  ENDIF

  1.253  JMPL         END                          @Abort

  1.254  OPBR         -z Do you wish to check trigger sensitivity using
  1.254  OPBR         UUT input channel 3?

  1.255  IF           MEM1
  1.256  MATH         @Chan = 3
  1.257  M9500                       CH3
  1.258  CALL         Sub TDS6000B (1 yr) Trig Sensitivity VER IEEE /9500
  1.259  ENDIF

  1.260  JMPL         END                          @Abort

  1.261  OPBR         -z Do you wish to check trigger sensitivity using
  1.261  OPBR         UUT input channel 4?

  1.262  IF           MEM1
  1.263  DISP         Disconnect CH 4 Active Head from the 50 Ohm termination.
  1.263  DISP
  1.263  DISP         Connect CH 4 Active Head to UUT CH 4 TCA-BNC Adapter.
  1.263  DISP
  1.263  DISP         Connect CH 3 Active Head to the 50 Ohm termination
  1.263  DISP         connected to the UUT AUX IN.
  1.264  MATH         @Chan = 4
  1.265  M9500                       CH4
  1.266  CALL         Sub TDS6000B (1 yr) Trig Sensitivity VER IEEE /9500
  1.267  DISP         Disconnect CH 3 Active Head from the 50 Ohm termination.
  1.267  DISP
  1.267  DISP         Connect CH 3 Active Head to UUT CH 3 TCA-BNC Adapter.
  1.267  DISP
  1.267  DISP         Disconnect the 50 Ohm termination from the UUT
  1.267  DISP         AUX INPUT.
  1.268  ELSE
  1.269  DISP         Disconnect CH 4 Active Head from the 50 Ohm termination.
  1.269  DISP
  1.269  DISP         Connect CH 4 Active Head to UUT CH 4 TCA-BNC Adapter.
  1.269  DISP
  1.269  DISP         Disconnect the 50 Ohm termination from the UUT
  1.269  DISP         AUX INPUT.
  1.270  ENDIF

  1.271  JMPL         END                          @Abort
  1.272  CALL         Sub TDS6000B/C (1 yr) Output Signals VER IEEE /9500
  1.273  JMPL         END                          @Abort
  1.274  DISP         Disconnect all Active Heads from UUT input modules.
  1.275  JMPL         DELTA_TIME

  1.276  LABEL        PROBE_COMP_OUTPUT
  1.277  CALL         Sub TDS6000B/C (1 yr) Probe Comp Output VER IEEE /LFCTR

  1.278  LABEL        END

  1.279  IF           @Abort
  1.280  HEAD         {P R O C E D U R E   A B O R T E D !}
  1.281  ENDIF

  1.282  END
